/*
 * This file is generated by jOOQ.
 */
package de.ship.db;


import de.ship.db.tables.TCoreAnnotation;
import de.ship.db.tables.TCoreClone;
import de.ship.db.tables.TCoreDevice;
import de.ship.db.tables.TCoreElementHierarchy;
import de.ship.db.tables.TCoreElementHierarchyAndGroup;
import de.ship.db.tables.TCoreElementHierarchyGroup;
import de.ship.db.tables.TCoreElementnote;
import de.ship.db.tables.TCoreElementpublic;
import de.ship.db.tables.TCoreElementrole;
import de.ship.db.tables.TCoreElementtype;
import de.ship.db.tables.TCoreGroup;
import de.ship.db.tables.TCoreGroupprivilege;
import de.ship.db.tables.TCoreLastchange;
import de.ship.db.tables.TCoreLifetime;
import de.ship.db.tables.TCoreLogic;
import de.ship.db.tables.TCoreLogicandgrp;
import de.ship.db.tables.TCoreLogiccond;
import de.ship.db.tables.TCoreLogiclist;
import de.ship.db.tables.TCoreLogicorgrp;
import de.ship.db.tables.TCoreLogicsubst;
import de.ship.db.tables.TCoreLogictype;
import de.ship.db.tables.TCoreMaintenance;
import de.ship.db.tables.TCoreMissingclass;
import de.ship.db.tables.TCoreMissinglist;
import de.ship.db.tables.TCoreMissingmaster;
import de.ship.db.tables.TCoreMissingvalue;
import de.ship.db.tables.TCorePerson;
import de.ship.db.tables.TCorePersonAttr;
import de.ship.db.tables.TCorePrivilege;
import de.ship.db.tables.TCoreProcesstype;
import de.ship.db.tables.TCoreProcessvar;
import de.ship.db.tables.TCorePublic;
import de.ship.db.tables.TCoreRepeatgrp;
import de.ship.db.tables.TCoreScale;
import de.ship.db.tables.TCoreStage;
import de.ship.db.tables.TCoreStudy;
import de.ship.db.tables.TCoreStudygroup;
import de.ship.db.tables.TCoreTranslation;
import de.ship.db.tables.TCoreTranslationKey;
import de.ship.db.tables.TCoreUmls;
import de.ship.db.tables.TCoreUmlsimport;
import de.ship.db.tables.TCoreUnit;
import de.ship.db.tables.TCoreUsergroup;
import de.ship.db.tables.TCoreUserprivilege;
import de.ship.db.tables.TCoreValue;
import de.ship.db.tables.TCoreValuelist;
import de.ship.db.tables.TCoreValueparam;
import de.ship.db.tables.TCoreValuetype;
import de.ship.db.tables.TCoreVargrp;
import de.ship.db.tables.TCoreVariable;
import de.ship.db.tables.TCoreVariableSegment;
import de.ship.db.tables.TCoreVariableattr;
import de.ship.db.tables.TCoreVariableattrtype;
import de.ship.db.tables.TDmCalculated;
import de.ship.db.tables.TDmDocumentation;
import de.ship.db.tables.TDmMaillist;
import de.ship.db.tables.TDmMissingcode;
import de.ship.db.tables.TDmMissingvalue;
import de.ship.db.tables.TDmPerson;
import de.ship.db.tables.TDmRecipient;
import de.ship.db.tables.TDmTablecopy;
import de.ship.db.tables.TDmTabledef;
import de.ship.db.tables.TDmTablegrp;
import de.ship.db.tables.TDmTablegrpdetail;
import de.ship.db.tables.TDmTransfer;
import de.ship.db.tables.TDmTranspose;
import de.ship.db.tables.TDmVarAdd;
import de.ship.db.tables.TImportConfig;
import de.ship.db.tables.TImportLog;
import de.ship.db.tables.TImportMapping;
import de.ship.db.tables.TInputDisplayvar;
import de.ship.db.tables.TInputExport;
import de.ship.db.tables.TInputHelp;
import de.ship.db.tables.TInputHelpparam;
import de.ship.db.tables.TInputLabel;
import de.ship.db.tables.TInputLanguage;
import de.ship.db.tables.TInputParam;
import de.ship.db.tables.TInputParser;
import de.ship.db.tables.TInputReference;
import de.ship.db.tables.TInputStaticvars;
import de.ship.db.tables.TInputStyle;
import de.ship.db.tables.TInputType;
import de.ship.db.tables.TInputTypeparam;
import de.ship.db.tables.TInputTypeparamlist;
import de.ship.db.tables.TInputVariable;
import de.ship.db.tables.TInputWebform;
import de.ship.db.tables.TWebApplication;
import de.ship.db.tables.TWebSessionstate;
import de.ship.db.tables.records.TCoreAnnotationRecord;
import de.ship.db.tables.records.TCoreCloneRecord;
import de.ship.db.tables.records.TCoreDeviceRecord;
import de.ship.db.tables.records.TCoreElementHierarchyAndGroupRecord;
import de.ship.db.tables.records.TCoreElementHierarchyGroupRecord;
import de.ship.db.tables.records.TCoreElementHierarchyRecord;
import de.ship.db.tables.records.TCoreElementnoteRecord;
import de.ship.db.tables.records.TCoreElementpublicRecord;
import de.ship.db.tables.records.TCoreElementroleRecord;
import de.ship.db.tables.records.TCoreElementtypeRecord;
import de.ship.db.tables.records.TCoreGroupRecord;
import de.ship.db.tables.records.TCoreGroupprivilegeRecord;
import de.ship.db.tables.records.TCoreLastchangeRecord;
import de.ship.db.tables.records.TCoreLifetimeRecord;
import de.ship.db.tables.records.TCoreLogicRecord;
import de.ship.db.tables.records.TCoreLogicandgrpRecord;
import de.ship.db.tables.records.TCoreLogiccondRecord;
import de.ship.db.tables.records.TCoreLogiclistRecord;
import de.ship.db.tables.records.TCoreLogicorgrpRecord;
import de.ship.db.tables.records.TCoreLogicsubstRecord;
import de.ship.db.tables.records.TCoreLogictypeRecord;
import de.ship.db.tables.records.TCoreMaintenanceRecord;
import de.ship.db.tables.records.TCoreMissingclassRecord;
import de.ship.db.tables.records.TCoreMissinglistRecord;
import de.ship.db.tables.records.TCoreMissingmasterRecord;
import de.ship.db.tables.records.TCoreMissingvalueRecord;
import de.ship.db.tables.records.TCorePersonAttrRecord;
import de.ship.db.tables.records.TCorePersonRecord;
import de.ship.db.tables.records.TCorePrivilegeRecord;
import de.ship.db.tables.records.TCoreProcesstypeRecord;
import de.ship.db.tables.records.TCoreProcessvarRecord;
import de.ship.db.tables.records.TCorePublicRecord;
import de.ship.db.tables.records.TCoreRepeatgrpRecord;
import de.ship.db.tables.records.TCoreScaleRecord;
import de.ship.db.tables.records.TCoreStageRecord;
import de.ship.db.tables.records.TCoreStudyRecord;
import de.ship.db.tables.records.TCoreStudygroupRecord;
import de.ship.db.tables.records.TCoreTranslationKeyRecord;
import de.ship.db.tables.records.TCoreTranslationRecord;
import de.ship.db.tables.records.TCoreUmlsRecord;
import de.ship.db.tables.records.TCoreUmlsimportRecord;
import de.ship.db.tables.records.TCoreUnitRecord;
import de.ship.db.tables.records.TCoreUsergroupRecord;
import de.ship.db.tables.records.TCoreUserprivilegeRecord;
import de.ship.db.tables.records.TCoreValueRecord;
import de.ship.db.tables.records.TCoreValuelistRecord;
import de.ship.db.tables.records.TCoreValueparamRecord;
import de.ship.db.tables.records.TCoreValuetypeRecord;
import de.ship.db.tables.records.TCoreVargrpRecord;
import de.ship.db.tables.records.TCoreVariableRecord;
import de.ship.db.tables.records.TCoreVariableSegmentRecord;
import de.ship.db.tables.records.TCoreVariableattrRecord;
import de.ship.db.tables.records.TCoreVariableattrtypeRecord;
import de.ship.db.tables.records.TDmCalculatedRecord;
import de.ship.db.tables.records.TDmDocumentationRecord;
import de.ship.db.tables.records.TDmMaillistRecord;
import de.ship.db.tables.records.TDmMissingcodeRecord;
import de.ship.db.tables.records.TDmMissingvalueRecord;
import de.ship.db.tables.records.TDmPersonRecord;
import de.ship.db.tables.records.TDmRecipientRecord;
import de.ship.db.tables.records.TDmTablecopyRecord;
import de.ship.db.tables.records.TDmTabledefRecord;
import de.ship.db.tables.records.TDmTablegrpRecord;
import de.ship.db.tables.records.TDmTablegrpdetailRecord;
import de.ship.db.tables.records.TDmTransferRecord;
import de.ship.db.tables.records.TDmTransposeRecord;
import de.ship.db.tables.records.TDmVarAddRecord;
import de.ship.db.tables.records.TImportConfigRecord;
import de.ship.db.tables.records.TImportLogRecord;
import de.ship.db.tables.records.TImportMappingRecord;
import de.ship.db.tables.records.TInputDisplayvarRecord;
import de.ship.db.tables.records.TInputExportRecord;
import de.ship.db.tables.records.TInputHelpRecord;
import de.ship.db.tables.records.TInputHelpparamRecord;
import de.ship.db.tables.records.TInputLabelRecord;
import de.ship.db.tables.records.TInputLanguageRecord;
import de.ship.db.tables.records.TInputParamRecord;
import de.ship.db.tables.records.TInputParserRecord;
import de.ship.db.tables.records.TInputReferenceRecord;
import de.ship.db.tables.records.TInputStaticvarsRecord;
import de.ship.db.tables.records.TInputStyleRecord;
import de.ship.db.tables.records.TInputTypeRecord;
import de.ship.db.tables.records.TInputTypeparamRecord;
import de.ship.db.tables.records.TInputTypeparamlistRecord;
import de.ship.db.tables.records.TInputVariableRecord;
import de.ship.db.tables.records.TInputWebformRecord;
import de.ship.db.tables.records.TWebApplicationRecord;
import de.ship.db.tables.records.TWebSessionstateRecord;

import org.jooq.ForeignKey;
import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in
 * common_dd.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<TCoreAnnotationRecord> T_CORE_ANNOTATION_SOURCE_FK_ELEMENT_KEY_KEY = Internal.createUniqueKey(TCoreAnnotation.T_CORE_ANNOTATION, DSL.name("t_core_annotation_source_fk_element_key_key"), new TableField[] { TCoreAnnotation.T_CORE_ANNOTATION.SOURCE, TCoreAnnotation.T_CORE_ANNOTATION.FK_ELEMENT, TCoreAnnotation.T_CORE_ANNOTATION.KEY }, true);
    public static final UniqueKey<TCoreCloneRecord> PK_CORE_CLONE = Internal.createUniqueKey(TCoreClone.T_CORE_CLONE, DSL.name("pk_core_clone"), new TableField[] { TCoreClone.T_CORE_CLONE.PK }, true);
    public static final UniqueKey<TCoreCloneRecord> UK_CORE_CLONE = Internal.createUniqueKey(TCoreClone.T_CORE_CLONE, DSL.name("uk_core_clone"), new TableField[] { TCoreClone.T_CORE_CLONE.ORIGINAL, TCoreClone.T_CORE_CLONE.CLONED }, true);
    public static final UniqueKey<TCoreDeviceRecord> PK_CORE_DEVICE = Internal.createUniqueKey(TCoreDevice.T_CORE_DEVICE, DSL.name("pk_core_device"), new TableField[] { TCoreDevice.T_CORE_DEVICE.PK }, true);
    public static final UniqueKey<TCoreDeviceRecord> UK_CORE_DEVICE = Internal.createUniqueKey(TCoreDevice.T_CORE_DEVICE, DSL.name("uk_core_device"), new TableField[] { TCoreDevice.T_CORE_DEVICE.DEVICE_ID }, true);
    public static final UniqueKey<TCoreElementHierarchyRecord> PK_KEY_ELEMENT = Internal.createUniqueKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("pk_key_element"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final UniqueKey<TCoreElementHierarchyRecord> T_CORE_ELEMENT_HIERARCHY_UNIQUE_NAME_KEY = Internal.createUniqueKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("t_core_element_hierarchy_unique_name_key"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.UNIQUE_NAME }, true);
    public static final UniqueKey<TCoreElementHierarchyRecord> UK_ELEMENT_HIERARCHY_DN = Internal.createUniqueKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("uk_element_hierarchy_dn"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.DN }, true);
    public static final UniqueKey<TCoreElementHierarchyAndGroupRecord> PK_CORE_ELEMENT_HIERARCHY_AND_GROUP = Internal.createUniqueKey(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP, DSL.name("pk_core_element_hierarchy_and_group"), new TableField[] { TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP.PK }, true);
    public static final UniqueKey<TCoreElementHierarchyAndGroupRecord> UK_CORE_ELEMENT_HIERARCHY_AND_GROUP_FK_ELEMENT = Internal.createUniqueKey(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP, DSL.name("uk_core_element_hierarchy_and_group_fk_element"), new TableField[] { TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP.FK_ELEMENT }, true);
    public static final UniqueKey<TCoreElementHierarchyGroupRecord> PK_CORE_ELEMENT_HIERARCHY_GROUP = Internal.createUniqueKey(TCoreElementHierarchyGroup.T_CORE_ELEMENT_HIERARCHY_GROUP, DSL.name("pk_core_element_hierarchy_group"), new TableField[] { TCoreElementHierarchyGroup.T_CORE_ELEMENT_HIERARCHY_GROUP.PK }, true);
    public static final UniqueKey<TCoreElementnoteRecord> PK_CORE_ELEMENTNOTE = Internal.createUniqueKey(TCoreElementnote.T_CORE_ELEMENTNOTE, DSL.name("pk_core_elementnote"), new TableField[] { TCoreElementnote.T_CORE_ELEMENTNOTE.PK }, true);
    public static final UniqueKey<TCoreElementnoteRecord> UK_ELEMENTNOTE_ELEMENT_NOTETYPE = Internal.createUniqueKey(TCoreElementnote.T_CORE_ELEMENTNOTE, DSL.name("uk_elementnote_element_notetype"), new TableField[] { TCoreElementnote.T_CORE_ELEMENTNOTE.FK_ELEMENT, TCoreElementnote.T_CORE_ELEMENTNOTE.NOTE_TYPE }, true);
    public static final UniqueKey<TCoreElementpublicRecord> T_CORE_ELEMENTPUBLIC_PKEY = Internal.createUniqueKey(TCoreElementpublic.T_CORE_ELEMENTPUBLIC, DSL.name("t_core_elementpublic_pkey"), new TableField[] { TCoreElementpublic.T_CORE_ELEMENTPUBLIC.FK_ELEMENT }, true);
    public static final UniqueKey<TCoreElementroleRecord> PK_CORE_ELEMENTROLE = Internal.createUniqueKey(TCoreElementrole.T_CORE_ELEMENTROLE, DSL.name("pk_core_elementrole"), new TableField[] { TCoreElementrole.T_CORE_ELEMENTROLE.PK }, true);
    public static final UniqueKey<TCoreElementroleRecord> UK_CORE_ELEMENTROLE = Internal.createUniqueKey(TCoreElementrole.T_CORE_ELEMENTROLE, DSL.name("uk_core_elementrole"), new TableField[] { TCoreElementrole.T_CORE_ELEMENTROLE.FK_ELEMENT, TCoreElementrole.T_CORE_ELEMENTROLE.RAWSCHEMA }, true);
    public static final UniqueKey<TCoreElementtypeRecord> PK_ELEMENTTYPE = Internal.createUniqueKey(TCoreElementtype.T_CORE_ELEMENTTYPE, DSL.name("pk_elementtype"), new TableField[] { TCoreElementtype.T_CORE_ELEMENTTYPE.KEY_ELEMENT_TYPE }, true);
    public static final UniqueKey<TCoreGroupRecord> PK_CORE_GROUP = Internal.createUniqueKey(TCoreGroup.T_CORE_GROUP, DSL.name("pk_core_group"), new TableField[] { TCoreGroup.T_CORE_GROUP.PK }, true);
    public static final UniqueKey<TCoreGroupRecord> UK_CORE_GROUP = Internal.createUniqueKey(TCoreGroup.T_CORE_GROUP, DSL.name("uk_core_group"), new TableField[] { TCoreGroup.T_CORE_GROUP.NAME }, true);
    public static final UniqueKey<TCoreGroupprivilegeRecord> PK_CORE_GROUPPRIVILEGE = Internal.createUniqueKey(TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, DSL.name("pk_core_groupprivilege"), new TableField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.PK }, true);
    public static final UniqueKey<TCoreGroupprivilegeRecord> UK_CORE_GROUPPRIVILEGE = Internal.createUniqueKey(TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, DSL.name("uk_core_groupprivilege"), new TableField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_GROUP, TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_PRIVILEGE }, true);
    public static final UniqueKey<TCoreLastchangeRecord> UK_CORE_LASTCHANGE = Internal.createUniqueKey(TCoreLastchange.T_CORE_LASTCHANGE, DSL.name("uk_core_lastchange"), new TableField[] { TCoreLastchange.T_CORE_LASTCHANGE.SCHEMANAME, TCoreLastchange.T_CORE_LASTCHANGE.TABLENAME }, true);
    public static final UniqueKey<TCoreLifetimeRecord> PK_CORE_LIFETIME = Internal.createUniqueKey(TCoreLifetime.T_CORE_LIFETIME, DSL.name("pk_core_lifetime"), new TableField[] { TCoreLifetime.T_CORE_LIFETIME.FK_ELEMENT }, true);
    public static final UniqueKey<TCoreLogicRecord> PK_CORE_LOGIC = Internal.createUniqueKey(TCoreLogic.T_CORE_LOGIC, DSL.name("pk_core_logic"), new TableField[] { TCoreLogic.T_CORE_LOGIC.PK_CORE_LOGIC }, true);
    public static final UniqueKey<TCoreLogicRecord> UK_LOGIC = Internal.createUniqueKey(TCoreLogic.T_CORE_LOGIC, DSL.name("uk_logic"), new TableField[] { TCoreLogic.T_CORE_LOGIC.FK_ORGRP, TCoreLogic.T_CORE_LOGIC.FK_VARIABLE }, true);
    public static final UniqueKey<TCoreLogicandgrpRecord> PK_CORE_LOGICANDGRP = Internal.createUniqueKey(TCoreLogicandgrp.T_CORE_LOGICANDGRP, DSL.name("pk_core_logicandgrp"), new TableField[] { TCoreLogicandgrp.T_CORE_LOGICANDGRP.ANDGRP }, true);
    public static final UniqueKey<TCoreLogiccondRecord> PK_CORE_LOGICCOND = Internal.createUniqueKey(TCoreLogiccond.T_CORE_LOGICCOND, DSL.name("pk_core_logiccond"), new TableField[] { TCoreLogiccond.T_CORE_LOGICCOND.PK_CORE_LOGICCOND }, true);
    public static final UniqueKey<TCoreLogiclistRecord> PK_CORE_LOGICLIST = Internal.createUniqueKey(TCoreLogiclist.T_CORE_LOGICLIST, DSL.name("pk_core_logiclist"), new TableField[] { TCoreLogiclist.T_CORE_LOGICLIST.PK }, true);
    public static final UniqueKey<TCoreLogicorgrpRecord> PK_CORE_LOGICORGRP = Internal.createUniqueKey(TCoreLogicorgrp.T_CORE_LOGICORGRP, DSL.name("pk_core_logicorgrp"), new TableField[] { TCoreLogicorgrp.T_CORE_LOGICORGRP.ORGRP }, true);
    public static final UniqueKey<TCoreLogicsubstRecord> PK_CORE_LOGICSUBST = Internal.createUniqueKey(TCoreLogicsubst.T_CORE_LOGICSUBST, DSL.name("pk_core_logicsubst"), new TableField[] { TCoreLogicsubst.T_CORE_LOGICSUBST.PK }, true);
    public static final UniqueKey<TCoreLogictypeRecord> PK_CORE_LOGICTYPE = Internal.createUniqueKey(TCoreLogictype.T_CORE_LOGICTYPE, DSL.name("pk_core_logictype"), new TableField[] { TCoreLogictype.T_CORE_LOGICTYPE.PK_CORE_LOGICTYPE }, true);
    public static final UniqueKey<TCoreLogictypeRecord> UK_LOGICTYPE = Internal.createUniqueKey(TCoreLogictype.T_CORE_LOGICTYPE, DSL.name("uk_logictype"), new TableField[] { TCoreLogictype.T_CORE_LOGICTYPE.LOGICTYPE }, true);
    public static final UniqueKey<TCoreMaintenanceRecord> PK_CORE_MAINTENANCE = Internal.createUniqueKey(TCoreMaintenance.T_CORE_MAINTENANCE, DSL.name("pk_core_maintenance"), new TableField[] { TCoreMaintenance.T_CORE_MAINTENANCE.PK }, true);
    public static final UniqueKey<TCoreMissingclassRecord> PK_CORE_MISSINGCLASS = Internal.createUniqueKey(TCoreMissingclass.T_CORE_MISSINGCLASS, DSL.name("pk_core_missingclass"), new TableField[] { TCoreMissingclass.T_CORE_MISSINGCLASS.PK }, true);
    public static final UniqueKey<TCoreMissinglistRecord> PK_CORE_MISSINGLIST = Internal.createUniqueKey(TCoreMissinglist.T_CORE_MISSINGLIST, DSL.name("pk_core_missinglist"), new TableField[] { TCoreMissinglist.T_CORE_MISSINGLIST.PK }, true);
    public static final UniqueKey<TCoreMissingmasterRecord> PK_CORE_MISSINGMASTER = Internal.createUniqueKey(TCoreMissingmaster.T_CORE_MISSINGMASTER, DSL.name("pk_core_missingmaster"), new TableField[] { TCoreMissingmaster.T_CORE_MISSINGMASTER.PK }, true);
    public static final UniqueKey<TCoreMissingvalueRecord> PK_CORE_MISSINGVALUE = Internal.createUniqueKey(TCoreMissingvalue.T_CORE_MISSINGVALUE, DSL.name("pk_core_missingvalue"), new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.PK }, true);
    public static final UniqueKey<TCoreMissingvalueRecord> UK_CORE_MISSINGVALUE = Internal.createUniqueKey(TCoreMissingvalue.T_CORE_MISSINGVALUE, DSL.name("uk_core_missingvalue"), new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.FK_MISSINGLIST, TCoreMissingvalue.T_CORE_MISSINGVALUE.FK_MISSINGMASTER }, true);
    public static final UniqueKey<TCorePersonRecord> PK_CORE_PERSON = Internal.createUniqueKey(TCorePerson.T_CORE_PERSON, DSL.name("pk_core_person"), new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
    public static final UniqueKey<TCorePersonRecord> UK_CORE_USERNAME = Internal.createUniqueKey(TCorePerson.T_CORE_PERSON, DSL.name("uk_core_username"), new TableField[] { TCorePerson.T_CORE_PERSON.USERNAME }, true);
    public static final UniqueKey<TCorePersonAttrRecord> PK_CORE_PERSON_ATTR = Internal.createUniqueKey(TCorePersonAttr.T_CORE_PERSON_ATTR, DSL.name("pk_core_person_attr"), new TableField[] { TCorePersonAttr.T_CORE_PERSON_ATTR.PK }, true);
    public static final UniqueKey<TCorePersonAttrRecord> UK_CORE_USNR = Internal.createUniqueKey(TCorePersonAttr.T_CORE_PERSON_ATTR, DSL.name("uk_core_usnr"), new TableField[] { TCorePersonAttr.T_CORE_PERSON_ATTR.FK_USNR }, true);
    public static final UniqueKey<TCorePrivilegeRecord> PK_CORE_PRIVILEGE = Internal.createUniqueKey(TCorePrivilege.T_CORE_PRIVILEGE, DSL.name("pk_core_privilege"), new TableField[] { TCorePrivilege.T_CORE_PRIVILEGE.PK }, true);
    public static final UniqueKey<TCorePrivilegeRecord> UK_CORE_PRIVILEGE_NAME = Internal.createUniqueKey(TCorePrivilege.T_CORE_PRIVILEGE, DSL.name("uk_core_privilege_name"), new TableField[] { TCorePrivilege.T_CORE_PRIVILEGE.NAME }, true);
    public static final UniqueKey<TCoreProcesstypeRecord> T_CORE_PROCESSTYPE_NAME_KEY = Internal.createUniqueKey(TCoreProcesstype.T_CORE_PROCESSTYPE, DSL.name("t_core_processtype_name_key"), new TableField[] { TCoreProcesstype.T_CORE_PROCESSTYPE.NAME }, true);
    public static final UniqueKey<TCoreProcesstypeRecord> T_CORE_PROCESSTYPE_PKEY = Internal.createUniqueKey(TCoreProcesstype.T_CORE_PROCESSTYPE, DSL.name("t_core_processtype_pkey"), new TableField[] { TCoreProcesstype.T_CORE_PROCESSTYPE.PK }, true);
    public static final UniqueKey<TCoreProcessvarRecord> T_CORE_PROCESSVAR_PKEY = Internal.createUniqueKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("t_core_processvar_pkey"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.PK }, true);
    public static final UniqueKey<TCoreProcessvarRecord> UK_CORE_PROCESSVAR = Internal.createUniqueKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("uk_core_processvar"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.FK_ELEMENT, TCoreProcessvar.T_CORE_PROCESSVAR.FK_PROCESSTYPE }, true);
    public static final UniqueKey<TCoreProcessvarRecord> UK_CORE_PROCESSVAR_REF = Internal.createUniqueKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("uk_core_processvar_ref"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.FK_ELEMENT, TCoreProcessvar.T_CORE_PROCESSVAR.FK_REFERENCED_ELEMENT }, true);
    public static final UniqueKey<TCorePublicRecord> PK_CORE_PUBLIC = Internal.createUniqueKey(TCorePublic.T_CORE_PUBLIC, DSL.name("pk_core_public"), new TableField[] { TCorePublic.T_CORE_PUBLIC.PK_CORE_PUBLIC }, true);
    public static final UniqueKey<TCorePublicRecord> UK_PUBLIC = Internal.createUniqueKey(TCorePublic.T_CORE_PUBLIC, DSL.name("uk_public"), new TableField[] { TCorePublic.T_CORE_PUBLIC.PUBLIC_VALUE }, true);
    public static final UniqueKey<TCoreRepeatgrpRecord> PK_CORE_REPEATGRP = Internal.createUniqueKey(TCoreRepeatgrp.T_CORE_REPEATGRP, DSL.name("pk_core_repeatgrp"), new TableField[] { TCoreRepeatgrp.T_CORE_REPEATGRP.PK }, true);
    public static final UniqueKey<TCoreScaleRecord> PK_CORE_SCALE = Internal.createUniqueKey(TCoreScale.T_CORE_SCALE, DSL.name("pk_core_scale"), new TableField[] { TCoreScale.T_CORE_SCALE.PK_CORE_SCALE }, true);
    public static final UniqueKey<TCoreScaleRecord> UK_SCALE_NIVEAU = Internal.createUniqueKey(TCoreScale.T_CORE_SCALE, DSL.name("uk_scale_niveau"), new TableField[] { TCoreScale.T_CORE_SCALE.SCALE_NIVEAU }, true);
    public static final UniqueKey<TCoreStageRecord> PK_CORE_STAGE = Internal.createUniqueKey(TCoreStage.T_CORE_STAGE, DSL.name("pk_core_stage"), new TableField[] { TCoreStage.T_CORE_STAGE.PK_CORE_STAGE }, true);
    public static final UniqueKey<TCoreStageRecord> UK_STAGE = Internal.createUniqueKey(TCoreStage.T_CORE_STAGE, DSL.name("uk_stage"), new TableField[] { TCoreStage.T_CORE_STAGE.STAGE }, true);
    public static final UniqueKey<TCoreStudyRecord> PK_CORE_STUDY = Internal.createUniqueKey(TCoreStudy.T_CORE_STUDY, DSL.name("pk_core_study"), new TableField[] { TCoreStudy.T_CORE_STUDY.PK }, true);
    public static final UniqueKey<TCoreStudyRecord> UK_CORE_STUDY_UNIQUE_NAME_PREFIX = Internal.createUniqueKey(TCoreStudy.T_CORE_STUDY, DSL.name("uk_core_study_unique_name_prefix"), new TableField[] { TCoreStudy.T_CORE_STUDY.UNIQUE_NAME_PREFIX }, true);
    public static final UniqueKey<TCoreStudygroupRecord> T_CORE_STUDYGROUP_NAME_KEY = Internal.createUniqueKey(TCoreStudygroup.T_CORE_STUDYGROUP, DSL.name("t_core_studygroup_name_key"), new TableField[] { TCoreStudygroup.T_CORE_STUDYGROUP.NAME }, true);
    public static final UniqueKey<TCoreStudygroupRecord> T_CORE_STUDYGROUP_UNIQUE_NAME_PREFIX_KEY = Internal.createUniqueKey(TCoreStudygroup.T_CORE_STUDYGROUP, DSL.name("t_core_studygroup_unique_name_prefix_key"), new TableField[] { TCoreStudygroup.T_CORE_STUDYGROUP.UNIQUE_NAME_PREFIX }, true);
    public static final UniqueKey<TCoreTranslationRecord> T_CORE_TRANSLATION_PKEY = Internal.createUniqueKey(TCoreTranslation.T_CORE_TRANSLATION, DSL.name("t_core_translation_pkey"), new TableField[] { TCoreTranslation.T_CORE_TRANSLATION.PK }, true);
    public static final UniqueKey<TCoreTranslationRecord> UK_CORE_TRANSLATION = Internal.createUniqueKey(TCoreTranslation.T_CORE_TRANSLATION, DSL.name("uk_core_translation"), new TableField[] { TCoreTranslation.T_CORE_TRANSLATION.FK_TRANS_KEY, TCoreTranslation.T_CORE_TRANSLATION.ISOCODE, TCoreTranslation.T_CORE_TRANSLATION.CATEGORY }, true);
    public static final UniqueKey<TCoreTranslationKeyRecord> PK_CORE_LANGUAGEDEFS = Internal.createUniqueKey(TCoreTranslationKey.T_CORE_TRANSLATION_KEY, DSL.name("pk_core_languagedefs"), new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.PK }, true);
    public static final UniqueKey<TCoreTranslationKeyRecord> UK_LANG_KEY = Internal.createUniqueKey(TCoreTranslationKey.T_CORE_TRANSLATION_KEY, DSL.name("uk_lang_key"), new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final UniqueKey<TCoreUmlsRecord> PK_CORE_UMLS = Internal.createUniqueKey(TCoreUmls.T_CORE_UMLS, DSL.name("pk_core_umls"), new TableField[] { TCoreUmls.T_CORE_UMLS.PK }, true);
    public static final UniqueKey<TCoreUmlsRecord> UK_CORE_UMLS = Internal.createUniqueKey(TCoreUmls.T_CORE_UMLS, DSL.name("uk_core_umls"), new TableField[] { TCoreUmls.T_CORE_UMLS.DN, TCoreUmls.T_CORE_UMLS.UMLS }, true);
    public static final UniqueKey<TCoreUmlsimportRecord> PK_CORE_UMLSIMPORT = Internal.createUniqueKey(TCoreUmlsimport.T_CORE_UMLSIMPORT, DSL.name("pk_core_umlsimport"), new TableField[] { TCoreUmlsimport.T_CORE_UMLSIMPORT.PK }, true);
    public static final UniqueKey<TCoreUmlsimportRecord> UK_CORE_UMLSIMPORT = Internal.createUniqueKey(TCoreUmlsimport.T_CORE_UMLSIMPORT, DSL.name("uk_core_umlsimport"), new TableField[] { TCoreUmlsimport.T_CORE_UMLSIMPORT.QUERY }, true);
    public static final UniqueKey<TCoreUnitRecord> T_CORE_UNIT_PKEY = Internal.createUniqueKey(TCoreUnit.T_CORE_UNIT, DSL.name("t_core_unit_pkey"), new TableField[] { TCoreUnit.T_CORE_UNIT.PK }, true);
    public static final UniqueKey<TCoreUsergroupRecord> PK_CORE_USERGROUP = Internal.createUniqueKey(TCoreUsergroup.T_CORE_USERGROUP, DSL.name("pk_core_usergroup"), new TableField[] { TCoreUsergroup.T_CORE_USERGROUP.PK }, true);
    public static final UniqueKey<TCoreUsergroupRecord> UK_CORE_USERGROUP = Internal.createUniqueKey(TCoreUsergroup.T_CORE_USERGROUP, DSL.name("uk_core_usergroup"), new TableField[] { TCoreUsergroup.T_CORE_USERGROUP.FK_USNR, TCoreUsergroup.T_CORE_USERGROUP.FK_GROUP }, true);
    public static final UniqueKey<TCoreUserprivilegeRecord> PK_CORE_USERPRIVILEGE = Internal.createUniqueKey(TCoreUserprivilege.T_CORE_USERPRIVILEGE, DSL.name("pk_core_userprivilege"), new TableField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.PK }, true);
    public static final UniqueKey<TCoreUserprivilegeRecord> UK_CORE_USERPRIVILEGE = Internal.createUniqueKey(TCoreUserprivilege.T_CORE_USERPRIVILEGE, DSL.name("uk_core_userprivilege"), new TableField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_USNR, TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_PRIVILEGE }, true);
    public static final UniqueKey<TCoreValueRecord> PK_CORE_VALUE = Internal.createUniqueKey(TCoreValue.T_CORE_VALUE, DSL.name("pk_core_value"), new TableField[] { TCoreValue.T_CORE_VALUE.PK_CORE_VALUE }, true);
    public static final UniqueKey<TCoreValueRecord> UK_VARVALUE = Internal.createUniqueKey(TCoreValue.T_CORE_VALUE, DSL.name("uk_varvalue"), new TableField[] { TCoreValue.T_CORE_VALUE.FK_VALUE_VALUELIST, TCoreValue.T_CORE_VALUE.VARVALUE }, true);
    public static final UniqueKey<TCoreValuelistRecord> PK_CORE_VALUELIST = Internal.createUniqueKey(TCoreValuelist.T_CORE_VALUELIST, DSL.name("pk_core_valuelist"), new TableField[] { TCoreValuelist.T_CORE_VALUELIST.VALUELIST }, true);
    public static final UniqueKey<TCoreValuelistRecord> T_CORE_VALUELIST_NAME_KEY = Internal.createUniqueKey(TCoreValuelist.T_CORE_VALUELIST, DSL.name("t_core_valuelist_name_key"), new TableField[] { TCoreValuelist.T_CORE_VALUELIST.NAME }, true);
    public static final UniqueKey<TCoreValueparamRecord> PK_CORE_VALUEPARAM = Internal.createUniqueKey(TCoreValueparam.T_CORE_VALUEPARAM, DSL.name("pk_core_valueparam"), new TableField[] { TCoreValueparam.T_CORE_VALUEPARAM.PK_CORE_VALUEPARAM }, true);
    public static final UniqueKey<TCoreValuetypeRecord> PK_CORE_VALUETYPE = Internal.createUniqueKey(TCoreValuetype.T_CORE_VALUETYPE, DSL.name("pk_core_valuetype"), new TableField[] { TCoreValuetype.T_CORE_VALUETYPE.PK }, true);
    public static final UniqueKey<TCoreValuetypeRecord> UK_CORE_VALUETYPE = Internal.createUniqueKey(TCoreValuetype.T_CORE_VALUETYPE, DSL.name("uk_core_valuetype"), new TableField[] { TCoreValuetype.T_CORE_VALUETYPE.PATTERN }, true);
    public static final UniqueKey<TCoreVargrpRecord> PK_CORE_VARGRP = Internal.createUniqueKey(TCoreVargrp.T_CORE_VARGRP, DSL.name("pk_core_vargrp"), new TableField[] { TCoreVargrp.T_CORE_VARGRP.PK }, true);
    public static final UniqueKey<TCoreVariableRecord> PK_CORE_VARIABLE = Internal.createUniqueKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("pk_core_variable"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.PK_CORE_VARIABLE }, true);
    public static final UniqueKey<TCoreVariableRecord> UK_KEY_VARIABLE = Internal.createUniqueKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("uk_key_variable"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final UniqueKey<TCoreVariableSegmentRecord> T_CORE_VARIABLE_SEGMENT_PKEY = Internal.createUniqueKey(TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT, DSL.name("t_core_variable_segment_pkey"), new TableField[] { TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT.PK }, true);
    public static final UniqueKey<TCoreVariableSegmentRecord> UK_VARIABLE_SEGMENT = Internal.createUniqueKey(TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT, DSL.name("uk_variable_segment"), new TableField[] { TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT.FK_ELEMENT }, true);
    public static final UniqueKey<TCoreVariableattrRecord> PK_CORE_VARIABLEATTR = Internal.createUniqueKey(TCoreVariableattr.T_CORE_VARIABLEATTR, DSL.name("pk_core_variableattr"), new TableField[] { TCoreVariableattr.T_CORE_VARIABLEATTR.PK }, true);
    public static final UniqueKey<TCoreVariableattrRecord> UK_CORE_VARIABLEATTR = Internal.createUniqueKey(TCoreVariableattr.T_CORE_VARIABLEATTR, DSL.name("uk_core_variableattr"), new TableField[] { TCoreVariableattr.T_CORE_VARIABLEATTR.FK_VARIABLE, TCoreVariableattr.T_CORE_VARIABLEATTR.FK_VARIABLEATTRTYPE }, true);
    public static final UniqueKey<TCoreVariableattrtypeRecord> PK_CORE_VARIABLEATTRTYPE = Internal.createUniqueKey(TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE, DSL.name("pk_core_variableattrtype"), new TableField[] { TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE.PK }, true);
    public static final UniqueKey<TCoreVariableattrtypeRecord> UK_CORE_VARIABLEATTRTYPE = Internal.createUniqueKey(TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE, DSL.name("uk_core_variableattrtype"), new TableField[] { TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE.NAME }, true);
    public static final UniqueKey<TDmCalculatedRecord> PK_DM_CALCULATED = Internal.createUniqueKey(TDmCalculated.T_DM_CALCULATED, DSL.name("pk_dm_calculated"), new TableField[] { TDmCalculated.T_DM_CALCULATED.FK_VARIABLE }, true);
    public static final UniqueKey<TDmDocumentationRecord> PK_DM_DOCUMENTATION = Internal.createUniqueKey(TDmDocumentation.T_DM_DOCUMENTATION, DSL.name("pk_dm_documentation"), new TableField[] { TDmDocumentation.T_DM_DOCUMENTATION.PK }, true);
    public static final UniqueKey<TDmDocumentationRecord> UK_DM_DOCUMENTATION = Internal.createUniqueKey(TDmDocumentation.T_DM_DOCUMENTATION, DSL.name("uk_dm_documentation"), new TableField[] { TDmDocumentation.T_DM_DOCUMENTATION.STUDY, TDmDocumentation.T_DM_DOCUMENTATION.DD_GROUP, TDmDocumentation.T_DM_DOCUMENTATION.FILENAME }, true);
    public static final UniqueKey<TDmMaillistRecord> PK_DM_MAILLIST = Internal.createUniqueKey(TDmMaillist.T_DM_MAILLIST, DSL.name("pk_dm_maillist"), new TableField[] { TDmMaillist.T_DM_MAILLIST.PK }, true);
    public static final UniqueKey<TDmMissingcodeRecord> PK_DM_MISSINGCODE = Internal.createUniqueKey(TDmMissingcode.T_DM_MISSINGCODE, DSL.name("pk_dm_missingcode"), new TableField[] { TDmMissingcode.T_DM_MISSINGCODE.PK }, true);
    public static final UniqueKey<TDmMissingcodeRecord> UK_DM_MISSINGCODE = Internal.createUniqueKey(TDmMissingcode.T_DM_MISSINGCODE, DSL.name("uk_dm_missingcode"), new TableField[] { TDmMissingcode.T_DM_MISSINGCODE.NUM_MISSINGCODE, TDmMissingcode.T_DM_MISSINGCODE.SAS_MISSINGCODE, TDmMissingcode.T_DM_MISSINGCODE.DATE_MISSINGCODE }, true);
    public static final UniqueKey<TDmMissingvalueRecord> PK_DM_MISSINGVALUE = Internal.createUniqueKey(TDmMissingvalue.T_DM_MISSINGVALUE, DSL.name("pk_dm_missingvalue"), new TableField[] { TDmMissingvalue.T_DM_MISSINGVALUE.PK }, true);
    public static final UniqueKey<TDmMissingvalueRecord> UK_DM_MISSINGVALUE = Internal.createUniqueKey(TDmMissingvalue.T_DM_MISSINGVALUE, DSL.name("uk_dm_missingvalue"), new TableField[] { TDmMissingvalue.T_DM_MISSINGVALUE.FK_MISSINGCODE, TDmMissingvalue.T_DM_MISSINGVALUE.FK_CORE_MISSINGVALUE }, true);
    public static final UniqueKey<TDmPersonRecord> PK_DM_PERSON = Internal.createUniqueKey(TDmPerson.T_DM_PERSON, DSL.name("pk_dm_person"), new TableField[] { TDmPerson.T_DM_PERSON.PK }, true);
    public static final UniqueKey<TDmRecipientRecord> PK_DM_RECIPIENT = Internal.createUniqueKey(TDmRecipient.T_DM_RECIPIENT, DSL.name("pk_dm_recipient"), new TableField[] { TDmRecipient.T_DM_RECIPIENT.PK }, true);
    public static final UniqueKey<TDmTablecopyRecord> PK_DM_TABLECOPY = Internal.createUniqueKey(TDmTablecopy.T_DM_TABLECOPY, DSL.name("pk_dm_tablecopy"), new TableField[] { TDmTablecopy.T_DM_TABLECOPY.PK }, true);
    public static final UniqueKey<TDmTablecopyRecord> UK_DM_TABLECOPY = Internal.createUniqueKey(TDmTablecopy.T_DM_TABLECOPY, DSL.name("uk_dm_tablecopy"), new TableField[] { TDmTablecopy.T_DM_TABLECOPY.FK_TABLEDEF, TDmTablecopy.T_DM_TABLECOPY.SOURCESCHEMA }, true);
    public static final UniqueKey<TDmTabledefRecord> PK_DM_TABLEDEF = Internal.createUniqueKey(TDmTabledef.T_DM_TABLEDEF, DSL.name("pk_dm_tabledef"), new TableField[] { TDmTabledef.T_DM_TABLEDEF.PK }, true);
    public static final UniqueKey<TDmTabledefRecord> UK_DM_TABLEDEF = Internal.createUniqueKey(TDmTabledef.T_DM_TABLEDEF, DSL.name("uk_dm_tabledef"), new TableField[] { TDmTabledef.T_DM_TABLEDEF.FK_ELEMENT, TDmTabledef.T_DM_TABLEDEF.SCHEMANAME }, true);
    public static final UniqueKey<TDmTablegrpRecord> PK_DM_TABLEGRP = Internal.createUniqueKey(TDmTablegrp.T_DM_TABLEGRP, DSL.name("pk_dm_tablegrp"), new TableField[] { TDmTablegrp.T_DM_TABLEGRP.PK }, true);
    public static final UniqueKey<TDmTablegrpdetailRecord> PK_DM_TABLEGRPDETAIL = Internal.createUniqueKey(TDmTablegrpdetail.T_DM_TABLEGRPDETAIL, DSL.name("pk_dm_tablegrpdetail"), new TableField[] { TDmTablegrpdetail.T_DM_TABLEGRPDETAIL.PK }, true);
    public static final UniqueKey<TDmTransferRecord> PK_DM_TRANSFER = Internal.createUniqueKey(TDmTransfer.T_DM_TRANSFER, DSL.name("pk_dm_transfer"), new TableField[] { TDmTransfer.T_DM_TRANSFER.PK }, true);
    public static final UniqueKey<TDmTransferRecord> UK_DM_TRANSFER = Internal.createUniqueKey(TDmTransfer.T_DM_TRANSFER, DSL.name("uk_dm_transfer"), new TableField[] { TDmTransfer.T_DM_TRANSFER.STUDY, TDmTransfer.T_DM_TRANSFER.ADDITIVE, TDmTransfer.T_DM_TRANSFER.VARNAME_OLD, TDmTransfer.T_DM_TRANSFER.VARNAME_NEW }, true);
    public static final UniqueKey<TDmTransposeRecord> PK_DM_TRANSPOSE = Internal.createUniqueKey(TDmTranspose.T_DM_TRANSPOSE, DSL.name("pk_dm_transpose"), new TableField[] { TDmTranspose.T_DM_TRANSPOSE.PK }, true);
    public static final UniqueKey<TDmTransposeRecord> UK_DM_TRANSPOSE = Internal.createUniqueKey(TDmTranspose.T_DM_TRANSPOSE, DSL.name("uk_dm_transpose"), new TableField[] { TDmTranspose.T_DM_TRANSPOSE.FK_TABLEDEF }, true);
    public static final UniqueKey<TDmVarAddRecord> PK_DM_VAR_ADD = Internal.createUniqueKey(TDmVarAdd.T_DM_VAR_ADD, DSL.name("pk_dm_var_add"), new TableField[] { TDmVarAdd.T_DM_VAR_ADD.PK }, true);
    public static final UniqueKey<TImportConfigRecord> PK_IMPORT_CONFIG = Internal.createUniqueKey(TImportConfig.T_IMPORT_CONFIG, DSL.name("pk_import_config"), new TableField[] { TImportConfig.T_IMPORT_CONFIG.PK }, true);
    public static final UniqueKey<TImportLogRecord> PK_IMPORT_LOG = Internal.createUniqueKey(TImportLog.T_IMPORT_LOG, DSL.name("pk_import_log"), new TableField[] { TImportLog.T_IMPORT_LOG.PK }, true);
    public static final UniqueKey<TImportMappingRecord> PK_IMPORT_MAPPING = Internal.createUniqueKey(TImportMapping.T_IMPORT_MAPPING, DSL.name("pk_import_mapping"), new TableField[] { TImportMapping.T_IMPORT_MAPPING.PK }, true);
    public static final UniqueKey<TImportMappingRecord> UK_IMPORT_MAPPING = Internal.createUniqueKey(TImportMapping.T_IMPORT_MAPPING, DSL.name("uk_import_mapping"), new TableField[] { TImportMapping.T_IMPORT_MAPPING.DN_MAPPING, TImportMapping.T_IMPORT_MAPPING.FK_IMPORT_MAPPING }, true);
    public static final UniqueKey<TImportMappingRecord> UK_IMPORTMAPPING_DN = Internal.createUniqueKey(TImportMapping.T_IMPORT_MAPPING, DSL.name("uk_importmapping_dn"), new TableField[] { TImportMapping.T_IMPORT_MAPPING.DN }, true);
    public static final UniqueKey<TInputDisplayvarRecord> PK_INPUT_DISPLAYVAR = Internal.createUniqueKey(TInputDisplayvar.T_INPUT_DISPLAYVAR, DSL.name("pk_input_displayvar"), new TableField[] { TInputDisplayvar.T_INPUT_DISPLAYVAR.PK }, true);
    public static final UniqueKey<TInputDisplayvarRecord> UK_INPUT_DISPLAYVAR = Internal.createUniqueKey(TInputDisplayvar.T_INPUT_DISPLAYVAR, DSL.name("uk_input_displayvar"), new TableField[] { TInputDisplayvar.T_INPUT_DISPLAYVAR.FK_FORMULAR, TInputDisplayvar.T_INPUT_DISPLAYVAR.FK_VARIABLE }, true);
    public static final UniqueKey<TInputExportRecord> PK_INPUT_EXPORT = Internal.createUniqueKey(TInputExport.T_INPUT_EXPORT, DSL.name("pk_input_export"), new TableField[] { TInputExport.T_INPUT_EXPORT.PK }, true);
    public static final UniqueKey<TInputExportRecord> UK_INPUT_EXPORT = Internal.createUniqueKey(TInputExport.T_INPUT_EXPORT, DSL.name("uk_input_export"), new TableField[] { TInputExport.T_INPUT_EXPORT.FK_ELEMENT, TInputExport.T_INPUT_EXPORT.TEMPLATE_CLASS }, true);
    public static final UniqueKey<TInputHelpRecord> PK_INPUT_HELP = Internal.createUniqueKey(TInputHelp.T_INPUT_HELP, DSL.name("pk_input_help"), new TableField[] { TInputHelp.T_INPUT_HELP.INPUTHELP }, true);
    public static final UniqueKey<TInputHelpparamRecord> PK_INPUT_HELPPARAM = Internal.createUniqueKey(TInputHelpparam.T_INPUT_HELPPARAM, DSL.name("pk_input_helpparam"), new TableField[] { TInputHelpparam.T_INPUT_HELPPARAM.PK }, true);
    public static final UniqueKey<TInputHelpparamRecord> UK_INPUT_HELPPARAM = Internal.createUniqueKey(TInputHelpparam.T_INPUT_HELPPARAM, DSL.name("uk_input_helpparam"), new TableField[] { TInputHelpparam.T_INPUT_HELPPARAM.FK_STUDY, TInputHelpparam.T_INPUT_HELPPARAM.FK_VARIABLE, TInputHelpparam.T_INPUT_HELPPARAM.FK_INPUTHELP }, true);
    public static final UniqueKey<TInputLabelRecord> PK_INPUT_LABEL = Internal.createUniqueKey(TInputLabel.T_INPUT_LABEL, DSL.name("pk_input_label"), new TableField[] { TInputLabel.T_INPUT_LABEL.PK_INPUT_LABEL }, true);
    public static final UniqueKey<TInputLanguageRecord> PK_INPUT_LANGUAGE = Internal.createUniqueKey(TInputLanguage.T_INPUT_LANGUAGE, DSL.name("pk_input_language"), new TableField[] { TInputLanguage.T_INPUT_LANGUAGE.PK_INPUT_LANGUAGE }, true);
    public static final UniqueKey<TInputLanguageRecord> UK_APPL_ISOCODE = Internal.createUniqueKey(TInputLanguage.T_INPUT_LANGUAGE, DSL.name("uk_appl_isocode"), new TableField[] { TInputLanguage.T_INPUT_LANGUAGE.APPL_NAME, TInputLanguage.T_INPUT_LANGUAGE.LANG_ISOCODE }, true);
    public static final UniqueKey<TInputParamRecord> PK_INPUT_PARAM = Internal.createUniqueKey(TInputParam.T_INPUT_PARAM, DSL.name("pk_input_param"), new TableField[] { TInputParam.T_INPUT_PARAM.PK }, true);
    public static final UniqueKey<TInputParamRecord> UK_INPUT_PARAM = Internal.createUniqueKey(TInputParam.T_INPUT_PARAM, DSL.name("uk_input_param"), new TableField[] { TInputParam.T_INPUT_PARAM.FK_INPUT_TYPEPARAM, TInputParam.T_INPUT_PARAM.FK_VARIABLE, TInputParam.T_INPUT_PARAM.PARAM }, true);
    public static final UniqueKey<TInputParserRecord> UK_INPUT_PARSER_PATTERN = Internal.createUniqueKey(TInputParser.T_INPUT_PARSER, DSL.name("uk_input_parser_pattern"), new TableField[] { TInputParser.T_INPUT_PARSER.PATTERN }, true);
    public static final UniqueKey<TInputParserRecord> UK_INPUT_PARSER_PK = Internal.createUniqueKey(TInputParser.T_INPUT_PARSER, DSL.name("uk_input_parser_pk"), new TableField[] { TInputParser.T_INPUT_PARSER.PK }, true);
    public static final UniqueKey<TInputReferenceRecord> PK_INPUT_REFERENCE = Internal.createUniqueKey(TInputReference.T_INPUT_REFERENCE, DSL.name("pk_input_reference"), new TableField[] { TInputReference.T_INPUT_REFERENCE.REFERENCE_ID }, true);
    public static final UniqueKey<TInputStaticvarsRecord> PK_INPUT_STATICVARS = Internal.createUniqueKey(TInputStaticvars.T_INPUT_STATICVARS, DSL.name("pk_input_staticvars"), new TableField[] { TInputStaticvars.T_INPUT_STATICVARS.PK_INPUT_STATICVARS }, true);
    public static final UniqueKey<TInputStaticvarsRecord> UK_INPUT_STATICVARS = Internal.createUniqueKey(TInputStaticvars.T_INPUT_STATICVARS, DSL.name("uk_input_staticvars"), new TableField[] { TInputStaticvars.T_INPUT_STATICVARS.FK_VARIABLE }, true);
    public static final UniqueKey<TInputStyleRecord> PK_INPUT_STYLE = Internal.createUniqueKey(TInputStyle.T_INPUT_STYLE, DSL.name("pk_input_style"), new TableField[] { TInputStyle.T_INPUT_STYLE.PK_INPUT_STYLE }, true);
    public static final UniqueKey<TInputStyleRecord> UK_INPUT_STYLE = Internal.createUniqueKey(TInputStyle.T_INPUT_STYLE, DSL.name("uk_input_style"), new TableField[] { TInputStyle.T_INPUT_STYLE.STYLE_ID }, true);
    public static final UniqueKey<TInputTypeRecord> PK_INPUT_TYPE = Internal.createUniqueKey(TInputType.T_INPUT_TYPE, DSL.name("pk_input_type"), new TableField[] { TInputType.T_INPUT_TYPE.PK_INPUT_TYPE }, true);
    public static final UniqueKey<TInputTypeRecord> UK_INPUT_TYPE = Internal.createUniqueKey(TInputType.T_INPUT_TYPE, DSL.name("uk_input_type"), new TableField[] { TInputType.T_INPUT_TYPE.INPUTTYPE }, true);
    public static final UniqueKey<TInputTypeparamRecord> PK_INPUT_TYPEPARAM = Internal.createUniqueKey(TInputTypeparam.T_INPUT_TYPEPARAM, DSL.name("pk_input_typeparam"), new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.PK_INPUT_TYPEPARAM }, true);
    public static final UniqueKey<TInputTypeparamRecord> UK_INPUT_TYPEPARAM = Internal.createUniqueKey(TInputTypeparam.T_INPUT_TYPEPARAM, DSL.name("uk_input_typeparam"), new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.INPUTTYPE_PARAM }, true);
    public static final UniqueKey<TInputTypeparamlistRecord> PK_INPUT_TYPEPARAMLIST = Internal.createUniqueKey(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST, DSL.name("pk_input_typeparamlist"), new TableField[] { TInputTypeparamlist.T_INPUT_TYPEPARAMLIST.PK_INPUT_TYPEPARAMLIST }, true);
    public static final UniqueKey<TInputTypeparamlistRecord> UK_INPUT_TYPEPARAMLIST = Internal.createUniqueKey(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST, DSL.name("uk_input_typeparamlist"), new TableField[] { TInputTypeparamlist.T_INPUT_TYPEPARAMLIST.FK_INPUTTYPEPARAM, TInputTypeparamlist.T_INPUT_TYPEPARAMLIST.PARAMVALUE }, true);
    public static final UniqueKey<TInputVariableRecord> PK_INPUT_VARIABLE = Internal.createUniqueKey(TInputVariable.T_INPUT_VARIABLE, DSL.name("pk_input_variable"), new TableField[] { TInputVariable.T_INPUT_VARIABLE.PK_INPUT_VARIABLE }, true);
    public static final UniqueKey<TInputVariableRecord> UK_FK_VARIABLE = Internal.createUniqueKey(TInputVariable.T_INPUT_VARIABLE, DSL.name("uk_fk_variable"), new TableField[] { TInputVariable.T_INPUT_VARIABLE.FK_VARIABLE }, true);
    public static final UniqueKey<TInputWebformRecord> PK_INPUT_WEBFORM = Internal.createUniqueKey(TInputWebform.T_INPUT_WEBFORM, DSL.name("pk_input_webform"), new TableField[] { TInputWebform.T_INPUT_WEBFORM.FK_FORM }, true);
    public static final UniqueKey<TInputWebformRecord> UK_INPUT_WEBFORM = Internal.createUniqueKey(TInputWebform.T_INPUT_WEBFORM, DSL.name("uk_input_webform"), new TableField[] { TInputWebform.T_INPUT_WEBFORM.FORM_ORDER }, true);
    public static final UniqueKey<TWebApplicationRecord> PK_WEB_APPLICATION = Internal.createUniqueKey(TWebApplication.T_WEB_APPLICATION, DSL.name("pk_web_application"), new TableField[] { TWebApplication.T_WEB_APPLICATION.PK }, true);
    public static final UniqueKey<TWebSessionstateRecord> PK_WEB_SESSIONSTATE = Internal.createUniqueKey(TWebSessionstate.T_WEB_SESSIONSTATE, DSL.name("pk_web_sessionstate"), new TableField[] { TWebSessionstate.T_WEB_SESSIONSTATE.PK }, true);
    public static final UniqueKey<TWebSessionstateRecord> UK_WEB_SESSIONSTATE = Internal.createUniqueKey(TWebSessionstate.T_WEB_SESSIONSTATE, DSL.name("uk_web_sessionstate"), new TableField[] { TWebSessionstate.T_WEB_SESSIONSTATE.FK_APPLICATION, TWebSessionstate.T_WEB_SESSIONSTATE.FK_USNR, TWebSessionstate.T_WEB_SESSIONSTATE.KEY }, true);

    // -------------------------------------------------------------------------
    // FOREIGN KEY definitions
    // -------------------------------------------------------------------------

    public static final ForeignKey<TCoreAnnotationRecord, TCoreElementHierarchyRecord> T_CORE_ANNOTATION__T_CORE_ANNOTATION_FK_ELEMENT_FKEY = Internal.createForeignKey(TCoreAnnotation.T_CORE_ANNOTATION, DSL.name("t_core_annotation_fk_element_fkey"), new TableField[] { TCoreAnnotation.T_CORE_ANNOTATION.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreDeviceRecord, TCoreElementHierarchyRecord> T_CORE_DEVICE__FK_CORE_DEVICE_ELEMENT = Internal.createForeignKey(TCoreDevice.T_CORE_DEVICE, DSL.name("fk_core_device_element"), new TableField[] { TCoreDevice.T_CORE_DEVICE.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCoreStageRecord> T_CORE_ELEMENT_HIERARCHY__FK_ELEMENT_STAGE = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("fk_element_stage"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.STAGE }, Keys.UK_STAGE, new TableField[] { TCoreStage.T_CORE_STAGE.STAGE }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCoreTranslationKeyRecord> T_CORE_ELEMENT_HIERARCHY__FK_HIER_LANG = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("fk_hier_lang"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.HIER_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCoreElementtypeRecord> T_CORE_ELEMENT_HIERARCHY__FK_KEY_ELEMENT_TYPE = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("fk_key_element_type"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT_TYPE }, Keys.PK_ELEMENTTYPE, new TableField[] { TCoreElementtype.T_CORE_ELEMENTTYPE.KEY_ELEMENT_TYPE }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCoreElementHierarchyRecord> T_CORE_ELEMENT_HIERARCHY__FK_KEY_PARENT_ELEMENT = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("fk_key_parent_element"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_PARENT_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCorePrivilegeRecord> T_CORE_ELEMENT_HIERARCHY__FK_PRIVILEGE = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("fk_privilege"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.FK_PRIVILEGE }, Keys.PK_CORE_PRIVILEGE, new TableField[] { TCorePrivilege.T_CORE_PRIVILEGE.PK }, true);
    public static final ForeignKey<TCoreElementHierarchyRecord, TCorePublicRecord> T_CORE_ELEMENT_HIERARCHY__IS_PUBLIC = Internal.createForeignKey(TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY, DSL.name("is_public"), new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.IS_PUBLIC }, Keys.UK_PUBLIC, new TableField[] { TCorePublic.T_CORE_PUBLIC.PUBLIC_VALUE }, true);
    public static final ForeignKey<TCoreElementHierarchyAndGroupRecord, TCoreElementHierarchyGroupRecord> T_CORE_ELEMENT_HIERARCHY_AND_GROUP__FK_CORE_ELEMENT_HIERARCHY_AND_GROUP_FK_ELEMENT = Internal.createForeignKey(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP, DSL.name("fk_core_element_hierarchy_and_group_fk_element"), new TableField[] { TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP.GROUP_ID }, Keys.PK_CORE_ELEMENT_HIERARCHY_GROUP, new TableField[] { TCoreElementHierarchyGroup.T_CORE_ELEMENT_HIERARCHY_GROUP.PK }, true);
    public static final ForeignKey<TCoreElementHierarchyAndGroupRecord, TCoreElementHierarchyRecord> T_CORE_ELEMENT_HIERARCHY_AND_GROUP__FK_CORE_ELEMENT_HIERARCHY_AND_GROUP_GROUP_ID = Internal.createForeignKey(TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP, DSL.name("fk_core_element_hierarchy_and_group_group_id"), new TableField[] { TCoreElementHierarchyAndGroup.T_CORE_ELEMENT_HIERARCHY_AND_GROUP.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementnoteRecord, TCoreElementHierarchyRecord> T_CORE_ELEMENTNOTE__FK_ELEMENT = Internal.createForeignKey(TCoreElementnote.T_CORE_ELEMENTNOTE, DSL.name("fk_element"), new TableField[] { TCoreElementnote.T_CORE_ELEMENTNOTE.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementnoteRecord, TCoreTranslationKeyRecord> T_CORE_ELEMENTNOTE__FK_NOTE_LANG = Internal.createForeignKey(TCoreElementnote.T_CORE_ELEMENTNOTE, DSL.name("fk_note_lang"), new TableField[] { TCoreElementnote.T_CORE_ELEMENTNOTE.FK_NOTE_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreElementpublicRecord, TCoreElementHierarchyRecord> T_CORE_ELEMENTPUBLIC__T_CORE_ELEMENTPUBLIC_FK_ELEMENT_FKEY = Internal.createForeignKey(TCoreElementpublic.T_CORE_ELEMENTPUBLIC, DSL.name("t_core_elementpublic_fk_element_fkey"), new TableField[] { TCoreElementpublic.T_CORE_ELEMENTPUBLIC.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementroleRecord, TCoreElementHierarchyRecord> T_CORE_ELEMENTROLE__FK_CORE_ELEMENTROLE = Internal.createForeignKey(TCoreElementrole.T_CORE_ELEMENTROLE, DSL.name("fk_core_elementrole"), new TableField[] { TCoreElementrole.T_CORE_ELEMENTROLE.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreElementtypeRecord, TCoreTranslationKeyRecord> T_CORE_ELEMENTTYPE__FK_ELEMENTTYPE_LANG = Internal.createForeignKey(TCoreElementtype.T_CORE_ELEMENTTYPE, DSL.name("fk_elementtype_lang"), new TableField[] { TCoreElementtype.T_CORE_ELEMENTTYPE.ELEMENTTYPE_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreGroupprivilegeRecord, TCoreGroupRecord> T_CORE_GROUPPRIVILEGE__FK_CORE_GROUPPRIVILEGE_GROUP = Internal.createForeignKey(TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, DSL.name("fk_core_groupprivilege_group"), new TableField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_GROUP }, Keys.PK_CORE_GROUP, new TableField[] { TCoreGroup.T_CORE_GROUP.PK }, true);
    public static final ForeignKey<TCoreGroupprivilegeRecord, TCorePrivilegeRecord> T_CORE_GROUPPRIVILEGE__FK_CORE_GROUPPRIVILEGE_PRIVILEGE = Internal.createForeignKey(TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE, DSL.name("fk_core_groupprivilege_privilege"), new TableField[] { TCoreGroupprivilege.T_CORE_GROUPPRIVILEGE.FK_PRIVILEGE }, Keys.PK_CORE_PRIVILEGE, new TableField[] { TCorePrivilege.T_CORE_PRIVILEGE.PK }, true);
    public static final ForeignKey<TCoreLifetimeRecord, TCoreElementHierarchyRecord> T_CORE_LIFETIME__FK_LIFETIME_ELEMENT = Internal.createForeignKey(TCoreLifetime.T_CORE_LIFETIME, DSL.name("fk_lifetime_element"), new TableField[] { TCoreLifetime.T_CORE_LIFETIME.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreLogicRecord, TCoreElementHierarchyRecord> T_CORE_LOGIC__FK_LOGIC_ELEMENT = Internal.createForeignKey(TCoreLogic.T_CORE_LOGIC, DSL.name("fk_logic_element"), new TableField[] { TCoreLogic.T_CORE_LOGIC.FK_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreLogicRecord, TCoreLogicorgrpRecord> T_CORE_LOGIC__FK_LOGIC_ORGRP = Internal.createForeignKey(TCoreLogic.T_CORE_LOGIC, DSL.name("fk_logic_orgrp"), new TableField[] { TCoreLogic.T_CORE_LOGIC.FK_ORGRP }, Keys.PK_CORE_LOGICORGRP, new TableField[] { TCoreLogicorgrp.T_CORE_LOGICORGRP.ORGRP }, true);
    public static final ForeignKey<TCoreLogicRecord, TCoreLogictypeRecord> T_CORE_LOGIC__FK_LOGICTYPE = Internal.createForeignKey(TCoreLogic.T_CORE_LOGIC, DSL.name("fk_logictype"), new TableField[] { TCoreLogic.T_CORE_LOGIC.FK_LOGICTYPE }, Keys.UK_LOGICTYPE, new TableField[] { TCoreLogictype.T_CORE_LOGICTYPE.LOGICTYPE }, true);
    public static final ForeignKey<TCoreLogicandgrpRecord, TCoreLogicorgrpRecord> T_CORE_LOGICANDGRP__FK_AND_ORGRP = Internal.createForeignKey(TCoreLogicandgrp.T_CORE_LOGICANDGRP, DSL.name("fk_and_orgrp"), new TableField[] { TCoreLogicandgrp.T_CORE_LOGICANDGRP.FK_ORGRP }, Keys.PK_CORE_LOGICORGRP, new TableField[] { TCoreLogicorgrp.T_CORE_LOGICORGRP.ORGRP }, true);
    public static final ForeignKey<TCoreLogiccondRecord, TCoreLogicandgrpRecord> T_CORE_LOGICCOND__FK_COND_ANDGRP = Internal.createForeignKey(TCoreLogiccond.T_CORE_LOGICCOND, DSL.name("fk_cond_andgrp"), new TableField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_ANDGRP }, Keys.PK_CORE_LOGICANDGRP, new TableField[] { TCoreLogicandgrp.T_CORE_LOGICANDGRP.ANDGRP }, true);
    public static final ForeignKey<TCoreLogiccondRecord, TCoreElementHierarchyRecord> T_CORE_LOGICCOND__FK_COND_VARIABLE = Internal.createForeignKey(TCoreLogiccond.T_CORE_LOGICCOND, DSL.name("fk_cond_variable"), new TableField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreLogiccondRecord, TCoreElementHierarchyRecord> T_CORE_LOGICCOND__FK_COND_VARIABLE2 = Internal.createForeignKey(TCoreLogiccond.T_CORE_LOGICCOND, DSL.name("fk_cond_variable2"), new TableField[] { TCoreLogiccond.T_CORE_LOGICCOND.FK_VARIABLE2 }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreLogiclistRecord, TCoreLogicRecord> T_CORE_LOGICLIST__FK_CORE_LOGICLIST_LOGIC = Internal.createForeignKey(TCoreLogiclist.T_CORE_LOGICLIST, DSL.name("fk_core_logiclist_logic"), new TableField[] { TCoreLogiclist.T_CORE_LOGICLIST.FK_CORE_LOGIC }, Keys.PK_CORE_LOGIC, new TableField[] { TCoreLogic.T_CORE_LOGIC.PK_CORE_LOGIC }, true);
    public static final ForeignKey<TCoreLogicsubstRecord, TCoreLogicRecord> T_CORE_LOGICSUBST__FK_CORE_LOGICSUBST_LOGIC = Internal.createForeignKey(TCoreLogicsubst.T_CORE_LOGICSUBST, DSL.name("fk_core_logicsubst_logic"), new TableField[] { TCoreLogicsubst.T_CORE_LOGICSUBST.FK_CORE_LOGIC }, Keys.PK_CORE_LOGIC, new TableField[] { TCoreLogic.T_CORE_LOGIC.PK_CORE_LOGIC }, true);
    public static final ForeignKey<TCoreLogictypeRecord, TCoreTranslationKeyRecord> T_CORE_LOGICTYPE__FK_LOGICTYPE_DESCR = Internal.createForeignKey(TCoreLogictype.T_CORE_LOGICTYPE, DSL.name("fk_logictype_descr"), new TableField[] { TCoreLogictype.T_CORE_LOGICTYPE.LOGICTYPE_DESCR }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreMissingmasterRecord, TCoreTranslationKeyRecord> T_CORE_MISSINGMASTER__FK_MISSINGMASTER_LANG = Internal.createForeignKey(TCoreMissingmaster.T_CORE_MISSINGMASTER, DSL.name("fk_missingmaster_lang"), new TableField[] { TCoreMissingmaster.T_CORE_MISSINGMASTER.FK_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreMissingvalueRecord, TCoreMissingclassRecord> T_CORE_MISSINGVALUE__FK_MISSINGCLASS = Internal.createForeignKey(TCoreMissingvalue.T_CORE_MISSINGVALUE, DSL.name("fk_missingclass"), new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.FK_MISSINGCLASS }, Keys.PK_CORE_MISSINGCLASS, new TableField[] { TCoreMissingclass.T_CORE_MISSINGCLASS.PK }, true);
    public static final ForeignKey<TCoreMissingvalueRecord, TCoreMissinglistRecord> T_CORE_MISSINGVALUE__FK_MISSINGLIST = Internal.createForeignKey(TCoreMissingvalue.T_CORE_MISSINGVALUE, DSL.name("fk_missinglist"), new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.FK_MISSINGLIST }, Keys.PK_CORE_MISSINGLIST, new TableField[] { TCoreMissinglist.T_CORE_MISSINGLIST.PK }, true);
    public static final ForeignKey<TCoreMissingvalueRecord, TCoreMissingclassRecord> T_CORE_MISSINGVALUE__T_CORE_MISSINGVALUE_FK_MISSINGCLASS_QS_FKEY = Internal.createForeignKey(TCoreMissingvalue.T_CORE_MISSINGVALUE, DSL.name("t_core_missingvalue_fk_missingclass_qs_fkey"), new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.FK_MISSINGCLASS_QS }, Keys.PK_CORE_MISSINGCLASS, new TableField[] { TCoreMissingclass.T_CORE_MISSINGCLASS.PK }, true);
    public static final ForeignKey<TCoreProcessvarRecord, TCoreElementHierarchyRecord> T_CORE_PROCESSVAR__T_CORE_PROCESSVAR_FK_ELEMENT_FKEY = Internal.createForeignKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("t_core_processvar_fk_element_fkey"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreProcessvarRecord, TCoreProcesstypeRecord> T_CORE_PROCESSVAR__T_CORE_PROCESSVAR_FK_PROCESSTYPE_FKEY = Internal.createForeignKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("t_core_processvar_fk_processtype_fkey"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.FK_PROCESSTYPE }, Keys.T_CORE_PROCESSTYPE_PKEY, new TableField[] { TCoreProcesstype.T_CORE_PROCESSTYPE.PK }, true);
    public static final ForeignKey<TCoreProcessvarRecord, TCoreElementHierarchyRecord> T_CORE_PROCESSVAR__T_CORE_PROCESSVAR_FK_REFERENCED_ELEMENT_FKEY = Internal.createForeignKey(TCoreProcessvar.T_CORE_PROCESSVAR, DSL.name("t_core_processvar_fk_referenced_element_fkey"), new TableField[] { TCoreProcessvar.T_CORE_PROCESSVAR.FK_REFERENCED_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCorePublicRecord, TCoreTranslationKeyRecord> T_CORE_PUBLIC__FK_PUBLIC_LANG = Internal.createForeignKey(TCorePublic.T_CORE_PUBLIC, DSL.name("fk_public_lang"), new TableField[] { TCorePublic.T_CORE_PUBLIC.PUBLIC_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreRepeatgrpRecord, TCoreElementHierarchyRecord> T_CORE_REPEATGRP__FK_CORE_REPEATGRP_HIERARCHY = Internal.createForeignKey(TCoreRepeatgrp.T_CORE_REPEATGRP, DSL.name("fk_core_repeatgrp_hierarchy"), new TableField[] { TCoreRepeatgrp.T_CORE_REPEATGRP.FK_KEY_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreScaleRecord, TCoreTranslationKeyRecord> T_CORE_SCALE__FK_SCALE_LANG = Internal.createForeignKey(TCoreScale.T_CORE_SCALE, DSL.name("fk_scale_lang"), new TableField[] { TCoreScale.T_CORE_SCALE.SCALE_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreStageRecord, TCoreTranslationKeyRecord> T_CORE_STAGE__FK_STAGE_LANG = Internal.createForeignKey(TCoreStage.T_CORE_STAGE, DSL.name("fk_stage_lang"), new TableField[] { TCoreStage.T_CORE_STAGE.STAGE_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreStudyRecord, TCoreElementHierarchyRecord> T_CORE_STUDY__FK_STUDY_ELEMENT = Internal.createForeignKey(TCoreStudy.T_CORE_STUDY, DSL.name("fk_study_element"), new TableField[] { TCoreStudy.T_CORE_STUDY.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreStudygroupRecord, TCoreElementHierarchyRecord> T_CORE_STUDYGROUP__T_CORE_STUDYGROUP_FK_ELEMENT_FKEY = Internal.createForeignKey(TCoreStudygroup.T_CORE_STUDYGROUP, DSL.name("t_core_studygroup_fk_element_fkey"), new TableField[] { TCoreStudygroup.T_CORE_STUDYGROUP.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreTranslationRecord, TCoreTranslationKeyRecord> T_CORE_TRANSLATION__FK_TRANS_KEY = Internal.createForeignKey(TCoreTranslation.T_CORE_TRANSLATION, DSL.name("fk_trans_key"), new TableField[] { TCoreTranslation.T_CORE_TRANSLATION.FK_TRANS_KEY }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreUmlsRecord, TCoreElementHierarchyRecord> T_CORE_UMLS__FK_CORE_UMLS_DN = Internal.createForeignKey(TCoreUmls.T_CORE_UMLS, DSL.name("fk_core_umls_dn"), new TableField[] { TCoreUmls.T_CORE_UMLS.DN }, Keys.UK_ELEMENT_HIERARCHY_DN, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.DN }, true);
    public static final ForeignKey<TCoreUnitRecord, TCoreTranslationKeyRecord> T_CORE_UNIT__FK_TRANSLATION_KEY = Internal.createForeignKey(TCoreUnit.T_CORE_UNIT, DSL.name("fk_translation_key"), new TableField[] { TCoreUnit.T_CORE_UNIT.FK_TRANS_KEY }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TCoreUsergroupRecord, TCoreGroupRecord> T_CORE_USERGROUP__FK_CORE_USERGROUP_GROUP = Internal.createForeignKey(TCoreUsergroup.T_CORE_USERGROUP, DSL.name("fk_core_usergroup_group"), new TableField[] { TCoreUsergroup.T_CORE_USERGROUP.FK_GROUP }, Keys.PK_CORE_GROUP, new TableField[] { TCoreGroup.T_CORE_GROUP.PK }, true);
    public static final ForeignKey<TCoreUsergroupRecord, TCorePersonRecord> T_CORE_USERGROUP__FK_CORE_USERGROUP_USNR = Internal.createForeignKey(TCoreUsergroup.T_CORE_USERGROUP, DSL.name("fk_core_usergroup_usnr"), new TableField[] { TCoreUsergroup.T_CORE_USERGROUP.FK_USNR }, Keys.PK_CORE_PERSON, new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
    public static final ForeignKey<TCoreUserprivilegeRecord, TCorePrivilegeRecord> T_CORE_USERPRIVILEGE__FK_CORE_USERPRIVILEGE_PRIVILEGE = Internal.createForeignKey(TCoreUserprivilege.T_CORE_USERPRIVILEGE, DSL.name("fk_core_userprivilege_privilege"), new TableField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_PRIVILEGE }, Keys.PK_CORE_PRIVILEGE, new TableField[] { TCorePrivilege.T_CORE_PRIVILEGE.PK }, true);
    public static final ForeignKey<TCoreUserprivilegeRecord, TCorePersonRecord> T_CORE_USERPRIVILEGE__FK_CORE_USERPRIVILEGE_USNR = Internal.createForeignKey(TCoreUserprivilege.T_CORE_USERPRIVILEGE, DSL.name("fk_core_userprivilege_usnr"), new TableField[] { TCoreUserprivilege.T_CORE_USERPRIVILEGE.FK_USNR }, Keys.PK_CORE_PERSON, new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
    public static final ForeignKey<TCoreValueRecord, TCoreValuelistRecord> T_CORE_VALUE__FK_VALUE_VALUELIST = Internal.createForeignKey(TCoreValue.T_CORE_VALUE, DSL.name("fk_value_valuelist"), new TableField[] { TCoreValue.T_CORE_VALUE.FK_VALUE_VALUELIST }, Keys.PK_CORE_VALUELIST, new TableField[] { TCoreValuelist.T_CORE_VALUELIST.VALUELIST }, true);
    public static final ForeignKey<TCoreValuelistRecord, TCoreValuetypeRecord> T_CORE_VALUELIST__FK_CORE_VALUELIST_VALUETYPE = Internal.createForeignKey(TCoreValuelist.T_CORE_VALUELIST, DSL.name("fk_core_valuelist_valuetype"), new TableField[] { TCoreValuelist.T_CORE_VALUELIST.FK_VALUETYPE }, Keys.PK_CORE_VALUETYPE, new TableField[] { TCoreValuetype.T_CORE_VALUETYPE.PK }, true);
    public static final ForeignKey<TCoreValueparamRecord, TCoreValueRecord> T_CORE_VALUEPARAM__FK_VALUEPARAM_VALUE = Internal.createForeignKey(TCoreValueparam.T_CORE_VALUEPARAM, DSL.name("fk_valueparam_value"), new TableField[] { TCoreValueparam.T_CORE_VALUEPARAM.FK_VALUEPARAM_VALUE }, Keys.PK_CORE_VALUE, new TableField[] { TCoreValue.T_CORE_VALUE.PK_CORE_VALUE }, true);
    public static final ForeignKey<TCoreVargrpRecord, TCoreElementHierarchyRecord> T_CORE_VARGRP__FK_CORE_VARGRP_HIERARCHY = Internal.createForeignKey(TCoreVargrp.T_CORE_VARGRP, DSL.name("fk_core_vargrp_hierarchy"), new TableField[] { TCoreVargrp.T_CORE_VARGRP.FK_KEY_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreVariableRecord, TCoreElementHierarchyRecord> T_CORE_VARIABLE__FK_KEY_VARIABLE = Internal.createForeignKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("fk_key_variable"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreVariableRecord, TCoreUnitRecord> T_CORE_VARIABLE__FK_UNIT = Internal.createForeignKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("fk_unit"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.FK_UNIT }, Keys.T_CORE_UNIT_PKEY, new TableField[] { TCoreUnit.T_CORE_UNIT.PK }, true);
    public static final ForeignKey<TCoreVariableRecord, TCoreMissinglistRecord> T_CORE_VARIABLE__FK_VAR_MISSINGLIST = Internal.createForeignKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("fk_var_missinglist"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.FK_MISSINGLIST }, Keys.PK_CORE_MISSINGLIST, new TableField[] { TCoreMissinglist.T_CORE_MISSINGLIST.PK }, true);
    public static final ForeignKey<TCoreVariableRecord, TCoreValuelistRecord> T_CORE_VARIABLE__FK_VAR_VALUELIST = Internal.createForeignKey(TCoreVariable.T_CORE_VARIABLE, DSL.name("fk_var_valuelist"), new TableField[] { TCoreVariable.T_CORE_VARIABLE.FK_VAR_VALUELIST }, Keys.PK_CORE_VALUELIST, new TableField[] { TCoreValuelist.T_CORE_VALUELIST.VALUELIST }, true);
    public static final ForeignKey<TCoreVariableSegmentRecord, TCoreElementHierarchyRecord> T_CORE_VARIABLE_SEGMENT__T_CORE_VARIABLE_SEGMENT_FK_ELEMENT_FKEY = Internal.createForeignKey(TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT, DSL.name("t_core_variable_segment_fk_element_fkey"), new TableField[] { TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TCoreVariableattrRecord, TCoreVariableattrtypeRecord> T_CORE_VARIABLEATTR__FK_COREVARATTR_TYPE = Internal.createForeignKey(TCoreVariableattr.T_CORE_VARIABLEATTR, DSL.name("fk_corevarattr_type"), new TableField[] { TCoreVariableattr.T_CORE_VARIABLEATTR.FK_VARIABLEATTRTYPE }, Keys.PK_CORE_VARIABLEATTRTYPE, new TableField[] { TCoreVariableattrtype.T_CORE_VARIABLEATTRTYPE.PK }, true);
    public static final ForeignKey<TCoreVariableattrRecord, TCoreVariableRecord> T_CORE_VARIABLEATTR__FK_COREVARATTR_VARIABLE = Internal.createForeignKey(TCoreVariableattr.T_CORE_VARIABLEATTR, DSL.name("fk_corevarattr_variable"), new TableField[] { TCoreVariableattr.T_CORE_VARIABLEATTR.FK_VARIABLE }, Keys.UK_KEY_VARIABLE, new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final ForeignKey<TDmCalculatedRecord, TCoreVariableRecord> T_DM_CALCULATED__FK_DM_CALCULATED_VARIABLE = Internal.createForeignKey(TDmCalculated.T_DM_CALCULATED, DSL.name("fk_dm_calculated_variable"), new TableField[] { TDmCalculated.T_DM_CALCULATED.FK_VARIABLE }, Keys.UK_KEY_VARIABLE, new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final ForeignKey<TDmDocumentationRecord, TCorePersonRecord> T_DM_DOCUMENTATION__FK_DM_DOCUMENTATION_RESP = Internal.createForeignKey(TDmDocumentation.T_DM_DOCUMENTATION, DSL.name("fk_dm_documentation_resp"), new TableField[] { TDmDocumentation.T_DM_DOCUMENTATION.RESPONSIBLE }, Keys.PK_CORE_PERSON, new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
    public static final ForeignKey<TDmDocumentationRecord, TCoreStudyRecord> T_DM_DOCUMENTATION__FK_DM_DOCUMENTATION_STUDY = Internal.createForeignKey(TDmDocumentation.T_DM_DOCUMENTATION, DSL.name("fk_dm_documentation_study"), new TableField[] { TDmDocumentation.T_DM_DOCUMENTATION.STUDY }, Keys.PK_CORE_STUDY, new TableField[] { TCoreStudy.T_CORE_STUDY.PK }, true);
    public static final ForeignKey<TDmMaillistRecord, TDmPersonRecord> T_DM_MAILLIST__FK_DM_PERSON = Internal.createForeignKey(TDmMaillist.T_DM_MAILLIST, DSL.name("fk_dm_person"), new TableField[] { TDmMaillist.T_DM_MAILLIST.FK_DM_PERSON }, Keys.PK_DM_PERSON, new TableField[] { TDmPerson.T_DM_PERSON.PK }, true);
    public static final ForeignKey<TDmMaillistRecord, TCoreElementHierarchyRecord> T_DM_MAILLIST__FK_ELEMENT_KEY = Internal.createForeignKey(TDmMaillist.T_DM_MAILLIST, DSL.name("fk_element_key"), new TableField[] { TDmMaillist.T_DM_MAILLIST.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TDmMaillistRecord, TDmRecipientRecord> T_DM_MAILLIST__FK_MAILLIST_RECIP = Internal.createForeignKey(TDmMaillist.T_DM_MAILLIST, DSL.name("fk_maillist_recip"), new TableField[] { TDmMaillist.T_DM_MAILLIST.FK_MAILLIST_RECIP }, Keys.PK_DM_RECIPIENT, new TableField[] { TDmRecipient.T_DM_RECIPIENT.PK }, true);
    public static final ForeignKey<TDmMissingvalueRecord, TDmMissingcodeRecord> T_DM_MISSINGVALUE__FK_DM_MV_MC = Internal.createForeignKey(TDmMissingvalue.T_DM_MISSINGVALUE, DSL.name("fk_dm_mv_mc"), new TableField[] { TDmMissingvalue.T_DM_MISSINGVALUE.FK_MISSINGCODE }, Keys.PK_DM_MISSINGCODE, new TableField[] { TDmMissingcode.T_DM_MISSINGCODE.PK }, true);
    public static final ForeignKey<TDmMissingvalueRecord, TCoreMissingvalueRecord> T_DM_MISSINGVALUE__FK_DM_MV_MV = Internal.createForeignKey(TDmMissingvalue.T_DM_MISSINGVALUE, DSL.name("fk_dm_mv_mv"), new TableField[] { TDmMissingvalue.T_DM_MISSINGVALUE.FK_CORE_MISSINGVALUE }, Keys.PK_CORE_MISSINGVALUE, new TableField[] { TCoreMissingvalue.T_CORE_MISSINGVALUE.PK }, true);
    public static final ForeignKey<TDmPersonRecord, TCorePersonRecord> T_DM_PERSON__FK_USNR_PERSON = Internal.createForeignKey(TDmPerson.T_DM_PERSON, DSL.name("fk_usnr_person"), new TableField[] { TDmPerson.T_DM_PERSON.FK_USNR }, Keys.PK_CORE_PERSON, new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
    public static final ForeignKey<TDmRecipientRecord, TCoreTranslationKeyRecord> T_DM_RECIPIENT__FK_RECIP_LANG = Internal.createForeignKey(TDmRecipient.T_DM_RECIPIENT, DSL.name("fk_recip_lang"), new TableField[] { TDmRecipient.T_DM_RECIPIENT.FK_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TDmTablecopyRecord, TDmTabledefRecord> T_DM_TABLECOPY__FK_TABLECOPY_TABLEDEF = Internal.createForeignKey(TDmTablecopy.T_DM_TABLECOPY, DSL.name("fk_tablecopy_tabledef"), new TableField[] { TDmTablecopy.T_DM_TABLECOPY.FK_TABLEDEF }, Keys.PK_DM_TABLEDEF, new TableField[] { TDmTabledef.T_DM_TABLEDEF.PK }, true);
    public static final ForeignKey<TDmTabledefRecord, TCoreElementHierarchyRecord> T_DM_TABLEDEF__FK_TABLEDEF_ELEMENT = Internal.createForeignKey(TDmTabledef.T_DM_TABLEDEF, DSL.name("fk_tabledef_element"), new TableField[] { TDmTabledef.T_DM_TABLEDEF.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TDmTablegrpRecord, TCoreStudyRecord> T_DM_TABLEGRP__FK_STUDY_ID = Internal.createForeignKey(TDmTablegrp.T_DM_TABLEGRP, DSL.name("fk_study_id"), new TableField[] { TDmTablegrp.T_DM_TABLEGRP.FK_STUDY_ID }, Keys.PK_CORE_STUDY, new TableField[] { TCoreStudy.T_CORE_STUDY.PK }, true);
    public static final ForeignKey<TDmTablegrpdetailRecord, TDmTabledefRecord> T_DM_TABLEGRPDETAIL__FK_TABLEGRPDETAIL_TABLEDEF = Internal.createForeignKey(TDmTablegrpdetail.T_DM_TABLEGRPDETAIL, DSL.name("fk_tablegrpdetail_tabledef"), new TableField[] { TDmTablegrpdetail.T_DM_TABLEGRPDETAIL.FK_TABLEDEF }, Keys.PK_DM_TABLEDEF, new TableField[] { TDmTabledef.T_DM_TABLEDEF.PK }, true);
    public static final ForeignKey<TDmTablegrpdetailRecord, TDmTablegrpRecord> T_DM_TABLEGRPDETAIL__FK_TABLEGRPDETAIL_TABLEGRP = Internal.createForeignKey(TDmTablegrpdetail.T_DM_TABLEGRPDETAIL, DSL.name("fk_tablegrpdetail_tablegrp"), new TableField[] { TDmTablegrpdetail.T_DM_TABLEGRPDETAIL.FK_TABLE_GRP }, Keys.PK_DM_TABLEGRP, new TableField[] { TDmTablegrp.T_DM_TABLEGRP.PK }, true);
    public static final ForeignKey<TDmTransferRecord, TCoreStudyRecord> T_DM_TRANSFER__FK_DM_TRANSFER_STUDY = Internal.createForeignKey(TDmTransfer.T_DM_TRANSFER, DSL.name("fk_dm_transfer_study"), new TableField[] { TDmTransfer.T_DM_TRANSFER.STUDY }, Keys.PK_CORE_STUDY, new TableField[] { TCoreStudy.T_CORE_STUDY.PK }, true);
    public static final ForeignKey<TDmTransposeRecord, TDmTabledefRecord> T_DM_TRANSPOSE__FK_TRANSPOSE_TABLEDEF = Internal.createForeignKey(TDmTranspose.T_DM_TRANSPOSE, DSL.name("fk_transpose_tabledef"), new TableField[] { TDmTranspose.T_DM_TRANSPOSE.FK_TABLEDEF }, Keys.PK_DM_TABLEDEF, new TableField[] { TDmTabledef.T_DM_TABLEDEF.PK }, true);
    public static final ForeignKey<TDmVarAddRecord, TCoreVariableRecord> T_DM_VAR_ADD__FK_VARIABLE_VAR_ADD = Internal.createForeignKey(TDmVarAdd.T_DM_VAR_ADD, DSL.name("fk_variable_var_add"), new TableField[] { TDmVarAdd.T_DM_VAR_ADD.FK_VARIABLE }, Keys.UK_KEY_VARIABLE, new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final ForeignKey<TImportConfigRecord, TImportConfigRecord> T_IMPORT_CONFIG__FK_IMPORT_CONFIG = Internal.createForeignKey(TImportConfig.T_IMPORT_CONFIG, DSL.name("fk_import_config"), new TableField[] { TImportConfig.T_IMPORT_CONFIG.FK_IMPORT_CONFIG }, Keys.PK_IMPORT_CONFIG, new TableField[] { TImportConfig.T_IMPORT_CONFIG.PK }, true);
    public static final ForeignKey<TImportLogRecord, TImportLogRecord> T_IMPORT_LOG__FK_IMPORT_LOG = Internal.createForeignKey(TImportLog.T_IMPORT_LOG, DSL.name("fk_import_log"), new TableField[] { TImportLog.T_IMPORT_LOG.FK_IMPORT_LOG }, Keys.PK_IMPORT_LOG, new TableField[] { TImportLog.T_IMPORT_LOG.PK }, true);
    public static final ForeignKey<TImportMappingRecord, TCoreElementHierarchyRecord> T_IMPORT_MAPPING__FK_IMPORT_MAPPING_DN = Internal.createForeignKey(TImportMapping.T_IMPORT_MAPPING, DSL.name("fk_import_mapping_dn"), new TableField[] { TImportMapping.T_IMPORT_MAPPING.DN }, Keys.UK_ELEMENT_HIERARCHY_DN, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.DN }, true);
    public static final ForeignKey<TImportMappingRecord, TImportMappingRecord> T_IMPORT_MAPPING__FK_IMPORT_MAPPING_ID = Internal.createForeignKey(TImportMapping.T_IMPORT_MAPPING, DSL.name("fk_import_mapping_id"), new TableField[] { TImportMapping.T_IMPORT_MAPPING.FK_IMPORT_MAPPING }, Keys.PK_IMPORT_MAPPING, new TableField[] { TImportMapping.T_IMPORT_MAPPING.PK }, true);
    public static final ForeignKey<TInputDisplayvarRecord, TCoreElementHierarchyRecord> T_INPUT_DISPLAYVAR__FK_INPUTDISPLAYVAR_FORM = Internal.createForeignKey(TInputDisplayvar.T_INPUT_DISPLAYVAR, DSL.name("fk_inputdisplayvar_form"), new TableField[] { TInputDisplayvar.T_INPUT_DISPLAYVAR.FK_FORMULAR }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputDisplayvarRecord, TCoreVariableRecord> T_INPUT_DISPLAYVAR__FK_INPUTDISPLAYVAR_VAR = Internal.createForeignKey(TInputDisplayvar.T_INPUT_DISPLAYVAR, DSL.name("fk_inputdisplayvar_var"), new TableField[] { TInputDisplayvar.T_INPUT_DISPLAYVAR.FK_VARIABLE }, Keys.UK_KEY_VARIABLE, new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final ForeignKey<TInputExportRecord, TCoreElementHierarchyRecord> T_INPUT_EXPORT__FK_INPUT_EXPORT_ELEMENT = Internal.createForeignKey(TInputExport.T_INPUT_EXPORT, DSL.name("fk_input_export_element"), new TableField[] { TInputExport.T_INPUT_EXPORT.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputHelpparamRecord, TInputHelpRecord> T_INPUT_HELPPARAM__FK_INPUTHELPPARAM_INPUTHELP = Internal.createForeignKey(TInputHelpparam.T_INPUT_HELPPARAM, DSL.name("fk_inputhelpparam_inputhelp"), new TableField[] { TInputHelpparam.T_INPUT_HELPPARAM.FK_INPUTHELP }, Keys.PK_INPUT_HELP, new TableField[] { TInputHelp.T_INPUT_HELP.INPUTHELP }, true);
    public static final ForeignKey<TInputHelpparamRecord, TCoreElementHierarchyRecord> T_INPUT_HELPPARAM__FK_INPUTHELPPARAM_STUDY = Internal.createForeignKey(TInputHelpparam.T_INPUT_HELPPARAM, DSL.name("fk_inputhelpparam_study"), new TableField[] { TInputHelpparam.T_INPUT_HELPPARAM.FK_STUDY }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputHelpparamRecord, TCoreElementHierarchyRecord> T_INPUT_HELPPARAM__FK_INPUTHELPPARAM_VARIABLE = Internal.createForeignKey(TInputHelpparam.T_INPUT_HELPPARAM, DSL.name("fk_inputhelpparam_variable"), new TableField[] { TInputHelpparam.T_INPUT_HELPPARAM.FK_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputLabelRecord, TCoreElementHierarchyRecord> T_INPUT_LABEL__FK_INPUT_LABEL_ELEMENT = Internal.createForeignKey(TInputLabel.T_INPUT_LABEL, DSL.name("fk_input_label_element"), new TableField[] { TInputLabel.T_INPUT_LABEL.FK_ELEMENT }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputLabelRecord, TCoreTranslationKeyRecord> T_INPUT_LABEL__FK_INPUT_LABEL_LANGKEY = Internal.createForeignKey(TInputLabel.T_INPUT_LABEL, DSL.name("fk_input_label_langkey"), new TableField[] { TInputLabel.T_INPUT_LABEL.FK_LANG_KEY }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TInputLabelRecord, TCoreStageRecord> T_INPUT_LABEL__FK_INPUT_LABEL_STAGE = Internal.createForeignKey(TInputLabel.T_INPUT_LABEL, DSL.name("fk_input_label_stage"), new TableField[] { TInputLabel.T_INPUT_LABEL.STAGE }, Keys.UK_STAGE, new TableField[] { TCoreStage.T_CORE_STAGE.STAGE }, true);
    public static final ForeignKey<TInputLabelRecord, TInputStyleRecord> T_INPUT_LABEL__FK_INPUT_LABEL_STYLE = Internal.createForeignKey(TInputLabel.T_INPUT_LABEL, DSL.name("fk_input_label_style"), new TableField[] { TInputLabel.T_INPUT_LABEL.FK_STYLE }, Keys.UK_INPUT_STYLE, new TableField[] { TInputStyle.T_INPUT_STYLE.STYLE_ID }, true);
    public static final ForeignKey<TInputParamRecord, TInputTypeparamRecord> T_INPUT_PARAM__FK_INPUTPARAM_TYPEPARAM = Internal.createForeignKey(TInputParam.T_INPUT_PARAM, DSL.name("fk_inputparam_typeparam"), new TableField[] { TInputParam.T_INPUT_PARAM.FK_INPUT_TYPEPARAM }, Keys.UK_INPUT_TYPEPARAM, new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.INPUTTYPE_PARAM }, true);
    public static final ForeignKey<TInputParamRecord, TCoreElementHierarchyRecord> T_INPUT_PARAM__FK_INPUTPARAM_VARIABLE = Internal.createForeignKey(TInputParam.T_INPUT_PARAM, DSL.name("fk_inputparam_variable"), new TableField[] { TInputParam.T_INPUT_PARAM.FK_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputStaticvarsRecord, TCoreVariableRecord> T_INPUT_STATICVARS__FK_INPUTSTATICVARS_VAR = Internal.createForeignKey(TInputStaticvars.T_INPUT_STATICVARS, DSL.name("fk_inputstaticvars_var"), new TableField[] { TInputStaticvars.T_INPUT_STATICVARS.FK_VARIABLE }, Keys.UK_KEY_VARIABLE, new TableField[] { TCoreVariable.T_CORE_VARIABLE.KEY_VARIABLE }, true);
    public static final ForeignKey<TInputTypeRecord, TCoreTranslationKeyRecord> T_INPUT_TYPE__FK_INPUTTYPE_DESCR = Internal.createForeignKey(TInputType.T_INPUT_TYPE, DSL.name("fk_inputtype_descr"), new TableField[] { TInputType.T_INPUT_TYPE.INPUTTYPE_DESCR }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TInputTypeparamRecord, TCoreTranslationKeyRecord> T_INPUT_TYPEPARAM__FK_INPUTTYPEPARAM_DESCR = Internal.createForeignKey(TInputTypeparam.T_INPUT_TYPEPARAM, DSL.name("fk_inputtypeparam_descr"), new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.INPUTTYPE_PARAMKEY }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TInputTypeparamRecord, TInputTypeRecord> T_INPUT_TYPEPARAM__FK_INPUTTYPEPARAM_INPUTTYPE = Internal.createForeignKey(TInputTypeparam.T_INPUT_TYPEPARAM, DSL.name("fk_inputtypeparam_inputtype"), new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.FK_INPUTTYPE }, Keys.UK_INPUT_TYPE, new TableField[] { TInputType.T_INPUT_TYPE.INPUTTYPE }, true);
    public static final ForeignKey<TInputTypeparamlistRecord, TCoreTranslationKeyRecord> T_INPUT_TYPEPARAMLIST__FK_INPUTTYPEPARAMLIST_LANG = Internal.createForeignKey(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST, DSL.name("fk_inputtypeparamlist_lang"), new TableField[] { TInputTypeparamlist.T_INPUT_TYPEPARAMLIST.PARAMVALUE_LANG }, Keys.UK_LANG_KEY, new TableField[] { TCoreTranslationKey.T_CORE_TRANSLATION_KEY.TRANSLATION_KEY }, true);
    public static final ForeignKey<TInputTypeparamlistRecord, TInputTypeparamRecord> T_INPUT_TYPEPARAMLIST__FK_INPUTTYPEPARAMLIST_REF = Internal.createForeignKey(TInputTypeparamlist.T_INPUT_TYPEPARAMLIST, DSL.name("fk_inputtypeparamlist_ref"), new TableField[] { TInputTypeparamlist.T_INPUT_TYPEPARAMLIST.FK_INPUTTYPEPARAM }, Keys.UK_INPUT_TYPEPARAM, new TableField[] { TInputTypeparam.T_INPUT_TYPEPARAM.INPUTTYPE_PARAM }, true);
    public static final ForeignKey<TInputVariableRecord, TCoreElementHierarchyRecord> T_INPUT_VARIABLE__FK_INPUT_VARIABLE = Internal.createForeignKey(TInputVariable.T_INPUT_VARIABLE, DSL.name("fk_input_variable"), new TableField[] { TInputVariable.T_INPUT_VARIABLE.FK_VARIABLE }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputVariableRecord, TInputHelpRecord> T_INPUT_VARIABLE__FK_INPUTVAR_INPUTHELP = Internal.createForeignKey(TInputVariable.T_INPUT_VARIABLE, DSL.name("fk_inputvar_inputhelp"), new TableField[] { TInputVariable.T_INPUT_VARIABLE.FK_VAR_INPUTHELP }, Keys.PK_INPUT_HELP, new TableField[] { TInputHelp.T_INPUT_HELP.INPUTHELP }, true);
    public static final ForeignKey<TInputVariableRecord, TInputTypeRecord> T_INPUT_VARIABLE__FK_INPUTVAR_INPUTTYPE = Internal.createForeignKey(TInputVariable.T_INPUT_VARIABLE, DSL.name("fk_inputvar_inputtype"), new TableField[] { TInputVariable.T_INPUT_VARIABLE.FK_VAR_INPUTTYPE }, Keys.UK_INPUT_TYPE, new TableField[] { TInputType.T_INPUT_TYPE.INPUTTYPE }, true);
    public static final ForeignKey<TInputWebformRecord, TCoreElementHierarchyRecord> T_INPUT_WEBFORM__FK_WEBFORM_FORM = Internal.createForeignKey(TInputWebform.T_INPUT_WEBFORM, DSL.name("fk_webform_form"), new TableField[] { TInputWebform.T_INPUT_WEBFORM.FK_FORM }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TInputWebformRecord, TInputReferenceRecord> T_INPUT_WEBFORM__FK_WEBFORM_REFERENCE = Internal.createForeignKey(TInputWebform.T_INPUT_WEBFORM, DSL.name("fk_webform_reference"), new TableField[] { TInputWebform.T_INPUT_WEBFORM.FK_REFERENCE }, Keys.PK_INPUT_REFERENCE, new TableField[] { TInputReference.T_INPUT_REFERENCE.REFERENCE_ID }, true);
    public static final ForeignKey<TInputWebformRecord, TCoreElementHierarchyRecord> T_INPUT_WEBFORM__FK_WEBFORM_STUDYGEN = Internal.createForeignKey(TInputWebform.T_INPUT_WEBFORM, DSL.name("fk_webform_studygen"), new TableField[] { TInputWebform.T_INPUT_WEBFORM.FK_STUDY_GENERATION }, Keys.PK_KEY_ELEMENT, new TableField[] { TCoreElementHierarchy.T_CORE_ELEMENT_HIERARCHY.KEY_ELEMENT }, true);
    public static final ForeignKey<TWebSessionstateRecord, TWebApplicationRecord> T_WEB_SESSIONSTATE__FK_WEB_SESSIONSTATE_APP = Internal.createForeignKey(TWebSessionstate.T_WEB_SESSIONSTATE, DSL.name("fk_web_sessionstate_app"), new TableField[] { TWebSessionstate.T_WEB_SESSIONSTATE.FK_APPLICATION }, Keys.PK_WEB_APPLICATION, new TableField[] { TWebApplication.T_WEB_APPLICATION.PK }, true);
    public static final ForeignKey<TWebSessionstateRecord, TCorePersonRecord> T_WEB_SESSIONSTATE__FK_WEB_SESSIONSTATE_USNR = Internal.createForeignKey(TWebSessionstate.T_WEB_SESSIONSTATE, DSL.name("fk_web_sessionstate_usnr"), new TableField[] { TWebSessionstate.T_WEB_SESSIONSTATE.FK_USNR }, Keys.PK_CORE_PERSON, new TableField[] { TCorePerson.T_CORE_PERSON.USNR }, true);
}
